What is WS_FTP Pro?

WS_FTP Pro is a File Transfer Protocol ( FTP ) client application for transferring files between your PC and an FTP site .

WS_FTP Pro can connect to any system that has a valid Internet Address and contains an FTP server program, allowing you to transfer files between a wide variety of systems, including Windows, OS/2, and UNIX systems.

WS_FTP Pro complies with the Windows sockets ( Winsock ) standard.

Related Topics

WS_FTP Pro features

WS_FTP Interfaces and Supported Operating Systems


WS_FTP Features

The basic features of WS_FTP Pro allow you to:

  • Connect your PC to a remote FTP site

  • Browse files and folders on both the FTP site and your PC

  • Copy and move files between your PC and an FTP site

  • Copy files from one FTP site to another

  • Save and organize connection parameters for your favorite FTP sites

  • Resume interrupted file transfers

  • Append a file to another file on the other system

  • Track and save the folder paths you visit for quick access another time

  • Perform multiple file transfers using the WS_FTP Transfer Manager

  • Schedule large files for download at a later, non-peak time with the WS_FTP Scheduling Utility

  • Find files and folders meeting certain criteria using the WS_FTP Find Utility

  • Synchronize directory structures between your PC and an FTP site using the WS_FTP Synchronize Utility

  • Integrate WS_FTP Pro with your browser for faster downloading of files from the Web

  • Use the WS_FTP Pro Development Kit (available separately) to write custom file transfer applications to automate regular uploads or downloads. See the Ipswitch Web site at http://www.ipswitch.com for more information.


Uninstalling

To uninstall WS_FTP Pro,

  1. Select Start -> Programs -> WS_FTP Pro -> WS_FTP Pro Uninstall.

  2. Follow the instructions on your screen.

Or

  1. Access the Windows Add/Remove Program dialog in the Control Panel.

  2. Select Ipswitch WS_FTP Pro.

  3. Click Add/Remove.


WS_FTP Interfaces and Operating Systems

WS_FTP Interfaces and Supported Operating Systems

WS_FTP Pro 7.0 has two interfaces: the Classic user interface and the Explorer interface.

WS_FTP Pro 7.0 supports the following Operating Systems:

  • Windows 95

  • Windows 98

  • Windows NT

  • Windows 2000

  • Windows ME

Other FTP Products

The WS_FTP Pro Server and the WS_FTP Pro Development Kit must be purchased separately.


Download Patches

Downloading Software Patches and Upgrades

Ipswitch occasionally makes patches and upgrades available on our Web site. For the latest version information, please visit www.ipswitch.com. Note that product upgrades to extend capabilities are also available from the same locations, but you should note that most upgrades require a valid service agreement.

To access upgrades on the Ipswitch FTP site:

  1. From the Connection dialog box, open the Ipswitch folder, and select the site named WS_FTP Pro Patches, and then click Connect. WS_FTP Pro connects to the WS_FTP_Pro folder.

  2. Select the patch file; the last three digits of the file name indicate the version number. For example, wsftp606.exe is the patch file to update earlier versions to WS_FTP Pro 6.06. Read the accompanying text file (for example, wsftp606.txt) to verify that you have located the correct file.

  3. Transfer the patch file to a location other than your WS_FTP Pro folder or your Temp folder. Run the patch file to update the software.

To access patches on the Ipswitch Web site:

  1. In your Web browser, go to: http://www.ipswitch.com

  2. Click the Service & Support link.

  3. Click Patches and Upgrades, and then click the link for your platform type.

  4. Save the patch file to a location other than your WS_FTP Pro folder or your Temp folder.

  5. Run the patch file to update the software.


WS_FTP Pro Development Kit

The WS_FTP Pro Development Kit lets you create programs to work with WS_FTP Pro for transferring files to or from FTP sites or between FTP sites. For example, you can use the Development Kit to create an application that automates your regular downloads or uploads from an authoring system or a database system. The Development Kit provides the basic functionality to develop custom applications that use the File Transfer Protocol (FTP) and frees the developer from the intricacies of network programming.

The WS_FTP Pro Development Kit lets you use your choice of languages including C++, C, and Visual Basic. Developers can create stand-alone FTP applications or add network file transfer functionality to existing applications. Users can have specialized interfaces to FTP services that are simple to understand and use.

The WS_FTP Pro Development Kit provides:

  • Support of passive and normal file transfers

  • Automatic detection of WS_FTP Pro host type

  • Asynchronous and threaded versions of standard routines

  • Ability to use any FTP command

  • Programmer's guide with sample code

Some suggested applications:

  • Posting frequent updates to Internet or intranet servers

  • Automatic download of documents or programs

  • Regular updates of distributed databases

  • Automated mirroring of multiple FTP sites

For more information about the WS_FTP Pro Development Kit, see the Ipswitch Web site at: http://www.ipswitch.com.


Contacting Ipswitch

For the latest Ipswitch product news, software updates, and ordering information, visit our Web site at http://www.ipswitch.com.

For technical support for purchased products, send e-mail with serial number to support@ipswitch.com.

To submit your comments and suggestions, send e-mail to feedback@ipswitch.com.

For general inquiries about Ipswitch, send e-mail to info@ipswitch.com.

For evaluation software questions, send e-mail to evalhelp@ipswitch.com.

Product Sales and Customer Service

For Reseller and direct sales, call (781) 676-5700 or send e-mail to sales@ipswitch.com.

For OEM sales, call (781) 676-5700 or send e-mail to oem@ipswitch.com.

For order status, delivery, and billing, send e-mail to service@ipswitch.com.


Classic Interface: Main Window

Click below for information on the items in the WS_FTP Pro Classic Interface Main Window.

Address Bar

Local System

Remote System

Buttons

Menu Bar

Right-mouse Menu

Log Window

File Mask

WS_FTP Pro How To

Connecting to an FTP Site

Transferring Files

Viewing and Navigating Files and Folders

Naming and Renaming Files

Deleting files and folders


Starting WS_FTP Pro with the Connection Dialog Box

You can have WS_FTP Pro start up one of two ways:

  • Showing just the main window

  • Showing the main window with the Connection dialog box.

  1. From the Tools menu, select Options.

  2. Click the Advanced tab.

  3. Click the Classic list.

  4. Select or clear the Show Connection dialog box on Startup option.


Dragging and dropping

You can transfer files or folders by dragging and dropping.

In the Classic interface:

  • With drag and drop, you can:

  • Drag files from the Local System pane to the Remote Site pane or vice versa.

  • Drag files from your Desktop or from any window on your local system to the FTP pane ("Remote Site") of the WS_FTP Pro main window, and vice versa.

  • Drag and drop with the right mouse button to get menu choices.

In the Explorer interface:

  • You can always drag and drop a file if you arrange the windows on your desktop so you can see both the source and destination locations.

  • Drag files from your Desktop or from any window on your local system to the FTP pane ("Remote Site") of the WS_FTP Pro main window, and vice versa.

  • You can drag and drop with the right mouse button to get menu choices.

  • To move a file, use the Shift key and right mouse button.


Remembering Folders

The drop-down list for both the Local System and Remote Site can show the folders you visited during previous sessions.

  1. From the Tools menu, select Options.

  2. Click the Advanced tab.

  3. Select the Classic list.

  4. Select Remember Folders.


Resetting Window Locations

You can reset the size and location of the main window to the default (as shipped) at any time:

  1. From the Tools menu, select Options.

  2. Click the General tab.

  3. Click the button labeled Reset Window Locations.


Setting What Happens When You Double-Click a File

You can set a double-click on a file name to transfer the file, view the file, execute the file, or do nothing.

  1. From the Tools menu, select Options.

  2. Click the Advanced tab.

  3. Click the Classic list.

  4. Under Double Click Action, select Transfer file, View file, Execute file, or Nothing.


Explorer Interface: Main Window

Buttons

Menu Bar

Right-mouse Menu

Related Processes

Making a Connection

Transferring Files

Accessing Site Options


Explorer Interface: Making a connection

When you start the WS_FTP Explorer interface, all of the site profiles and site profile folders will be listed in the left pane of the window. If you want to connect to a site that appears in the site profile directory, simply click on the site profile name, and the right pane will show the directory structure of the remote site once the connection is made.

If you want to connect to a new site, click the New... icon in the right pane and follow the directions for setting up a new site. Once that site is made, you can connect as described above.


Explorer Interface: Site Options

To access Site Options in the WS_FTP Pro Explorer interface:

  1. Click on the folder that holds the site profile.

  2. Right-mouse click on the site entry. The Site Options dialog appears.


Explorer Interface: Transferring files

There are two ways to transfer a file in WS_FTP Explorer.

Click and Drag

  1. Open Windows Explorer to act as your local system.

  2. Click and drag the file to where you want it transferred to. This can be done to or from Windows Explorer.

You can also use your desktop as the local system and click and drag to and from the desktop.

FTP Transfer Manager

To use the FTP Transfer Manager with the Explorer interface, follow the directions in the link below for adding a file. (Ignore the mention of Batch Mode.)

FTP Transfer Manager


Overview: Connecting to FTP Sites

Before you transfer files to or from an FTP site, you must first connect to the site. You can connect in one of several ways:

  • Selecting a configured site

  • Selecting a site you visited recently

  • Configuring an FTP site you intend to re-visit

  • Using the Connection Dialog Box

  • Using the Address bar

  • Using Quick Connect

WS_FTP Pro comes with popular preconfigured FTP sites, each of which can connect you to an FTP site as an anonymous user. WS_FTP Pro also lets you configure your favorite FTP sites so that you can connect to each one in just the way you want to.

Related Topics

  • Logging on with a user ID, password, and account

  • Setting the remote port

  • Disconnecting from an FTP site

  • How to make an SSL connection


Connection Dialog Box

The Connection dialog box lets you work with FTP sites or configure firewalls. The Connection Dialog box appears whenever you click the connection button.

Related Topics

Host Info Tab

Firewall Tab


Selecting a configured site

FTP sites you have configured appear in the Configured Sites list on the Connection dialog along with the preconfigured FTP sites that Ipswitch ships as part of WS_FTP Pro. (All of the Ipswitch preconfigured FTP sites are set up as anonymous logins.)

  1. In the Connection dialog box, select a site in the Configured Sites list.

  2. Click Connect.


Quick Connect

Quick Connect provides a means for you to connect to an FTP site with minimal effort and time; for example, you might use Quick Connect to connect to a site that you want to visit just once.

If you are in the Connection dialog box

  1. Select Quick Connect from the Configured Sites list.

  2. Enter the Host Name/IP Address. This is either a fully qualified Internet host name or an IP address.

  3. Enter User ID, Password, and Account (If required).

  4. You can also enter the following additional information:

    • Firewall. If you have configured a firewall, select the firewall configuration from the list.

    • Passive Mode. Select this option if you want your PC to establish the data connection to the FTP site instead of the site establishing the data connection to your PC. In general, we recommend that you use Passive Mode; in fact, Passive Mode is necessary for some firewall and gateway configurations and when you get failed data channel errors. Note, however, that not all FTP sites support passive transfers.

    • Secure (SSL). Select this option if you want to make an SSL connection to the server. To configure WS_FTP to work with SSL connections; From the Tools menu, select Configure SSL.

    • Local Folder. If there is a folder on your PC that you want to use as your starting location when you connect to this FTP site, enter the path of the folder here.

    • Comment. Enter any comments you want to include with this site.

  5. (Optional) To save the information you have entered as a configured site (so you can easily re-connect), click Save.

  6. Click Connect.

If you are in the WS_FTP Classic window

  1. Select Quick Connect from the File menu. The Site Profile wizard appears.

  2. Enter the Host Name/IP Address. This is either a fully qualified Internet host name or an IP address.

  3. Click Next to add more information, or click Finish to connect to the site.

  4. If you did not enter a UserID or Password, you will be prompted for it when the connection is made.


Logging on with a User ID, password, and account

Logging on with a user ID, password, and/or account

To log on to an FTP site, you must identify yourself with a user ID and password. For sites that allow anonymous logins, you can use the word anonymous as a user ID and an e-mail address as a password. To test this, try connecting to the Ipswitch FTP site (ftp.ipswitch.com) using the user ID Anonymous.

However, FTP sites that are not open to the general public, or that allow you to upload files, usually require users to identify themselves with a special user ID, password, and (sometimes) an account number or name. FTP sites such as these are used for exchanging confidential files within an organization, posting of personal Web pages, or storing photographs for ads in on-line auctions.

To change a site configuration from an anonymous login to a private login:

  1. Get the user ID, password, and account name or number (if applicable) from the FTP site administrator, your ISP, a co-worker, or other authorized source of information about the FTP site.

  2. In the Connection dialog box, select the site so that the host information is displayed on the right.

  3. Make sure Anonymous is cleared and enter User ID, Password, and Account (if applicable).

  4. Firewall. If you have configured a firewall you want to use with this site, select it from the list.

  5. Passive Mode. Turn this on if you want your PC to establish the data connection to the FTP site instead of the site establishing the data connection to your PC. This is recommended for most FTP sites, and it is absolutely necessary for some firewall and gateway configurations and when you get failed data channel errors. Note, however, that not all FTP sites support passive mode.

  6. Local Folder. If there is a folder on your PC that you want to use as your starting location when you connect to this FTP site, enter the path of the folder here.

  7. Comment. Enter any comments you want to include with this site.

  8. Click the Connect button.

Note:

We do not recommend turning on Save Password unless no one else has access to your WS_FTP folder!


Setting the remote port

The remote port is the port on which WS_FTP Pro will try to connect to the FTP site. This is normally 21; however, it may be something different if you are going through a firewall, or if the FTP site administrator has assigned the FTP protocol to another port.

  1. From the Connection dialog, select the site in the Configured Sites list.

  2. Click the Advanced Properties button. (In the Explorer Interface, select the site and select Properties from the File menu.)

  3. Click the Advanced tab.

  4. Enter the Remote Port number.


Retrying a connection

Retrying a connection to a busy FTP site

If the initial connection attempt fails, the FTP site may be busy. WS_FTP Pro can try again to make a connection.

  1. From the Connection dialog, select the site in the Configured Sites list.

  2. Click the Advanced Properties button. (In the Explorer Interface, select the site and select Properties from the File menu.)

  3. Click the Advanced tab.

  4. In the Connection Retry box, enter the number of times to try again.


Sending a command to an FTP site

  1. From the Connection dialog, select the site in the Configured Sites list.

  2. Click the Advanced Properties button. (In the Explorer Interface, select the site and select Properties from the File menu.)

  3. Click the Startup tab.

  4. In the Initialize Command text box, enter any commands you want to issue to the FTP site at the beginning of the session. Separate multiple commands with a semi-colon (;).

For example, the command SITE UMASK 022 changes the UMASK used when creating files (on a UNIX system).


Disconnecting from a site

To disconnect from a site, click the Disconnect button.


Where do I get a Username and Password?

Many times, you need a username/userID and password to connect to an FTP site. If you do not know your username or your password, contact the administrator of the FTP site for that information. This is the person who 'owns' the FTP site.


Firewall Types

Type of Firewall | Information to enter in WS_FTP Pro
Proxy OPEN | Host Name (or Address)
SITE hostname | Host Name (or Address), User Name (ID)
Transparent | User Name (ID), Password
USER after logon | Host Name (or Address), User Name (ID), Password
USER fireID @remoteHost | Host Name (or Address), User Name (ID), Password
USER remoteID @fireID@remoteHost | Host Name (or Address), User Name (ID), Password
USER remoteID @remoteHost fireID | Host Name (or Address), User Name (ID), Password
USER with no logon | Host Name (or Address)


Using a configured firewall

Once you have configured a firewall, you use it as follows.

In the Classic interface:

  1. If you are connected to a site, select Close from the File menu.

  2. Select Connect from the File menu to view the Connection dialog box.

  3. Make sure you are on the Host Info tab (not the Firewall tab).

  4. In the Firewall box, select a firewall configuration.

In the Explorer Interface:

  1. Select a site.

  2. Select Properties from the File menu.

  3. Make sure you are on the Host Info tab (not the Firewall tab).

  4. In the Firewall box, select a firewall configuration.


New Firewall Configuration

  1. Enter a name for the firewall configuration.

  2. Enter the firewall Host Name or IP Address.

  3. Click Finish.

On the Firewall tab, complete the firewall configuration information:

  1. Enter the firewall User ID (User Name) and Password. Note: We do not recommend turning on Save Password unless you are the only user of your computer and no one else has access to your WS_FTP folder!

  2. Select the firewall Type from the drop-down list.

  3. Enter the Port number.

  4. Click Save.

You can now assign the firewall configuration to a site:

  1. Select the site.

  2. On the Host Info tab, select the configured firewall from the list.


FireScript Editor

FireScript Editor is a tool used to edit or create firewall scripts used in FTP connections.

Editing existing scripts:

  1. From the File menu, select Open.

  2. Select the firewall script you want to edit and click OK. The script appears in the FireScript Editor window.

  3. Make the desired changes to the script.

  4. From the Script menu, select Syntax Check to debug your script.

  5. Save your script, or save it with a new name.

Creating a new script:

  1. From the File menu, select New. The basic information in all firewall scripts is inserted into the script editor.

  2. Enter the code for the script.

  3. From the Script menu, select Syntax Check to debug your script.

  4. Save your script.


Open FireScript

Open/Save FireScript

All of the firewall scripts in your script directory are displayed in the Existing Scripts box. To edit or view one of these scripts, select it and click Open.

To save a script, enter the name of the script in the Script box and click Save.


Configuring a new FTP site

  1. In the Connection dialog box, select New Site from the File menu (If you select a folder, or a file in a folder before selecting New Site the new site will be created in that folder.)

  2. Enter a name for the site. Note: Do not enter an underscore as the first character in the site name; and do not use an exclamation point or brackets anywhere in the site name.

  3. Enter a host name or IP address.

  4. When done, click Finish. The site appears selected in the list of Configured Sites. You can now drag the new site into an existing folder or create a new folder for the site.

  5. (Optional) Enter or edit the host information and click Save.

  6. (Optional) To edit advanced site properties, click the Advanced Properties button.

  7. Click the Connect button to connect to the newly configured site.


Host names of popular FTP sites

Here is a list of host names for some popular sites:

AOL members.aol.com

BELLATLANTIC members.bellatlantic.net

BEST.COM see this link: http://www.best.com/faq/faq0022.html

COMPUSERVE ourworld.cs.com <For Ourworld members>

Go to this link for info on Compuserve setup:

http://ourworld-home.cs.com/publish.html

EARTHLINK ftp-www.earthlink.net

FREEYELLOW ftp.freeyellow.com

GEOCITIES ftp.geocities.com

GTE ftphome1.gte.net

MINDSPRING home.mindspring.com

PRODIGY upload.hosting.prodigy.net

TRIPOD ftp.tripod.com


Changing the name of a site configuration

The Site Name is a name you assign to an FTP site for your own convenience; this is the name you will select from the list of configured sites; it can be anything you like, but if you enter more than 78 characters, the name will be truncated.

  1. In the Connection dialog box, right-click the site and select Rename from the right-mouse menu.

  2. Enter a new Site Name. (This name can be different from the Host Name.)

Note: Do not enter an underscore as the first character in the site name; and do not use an exclamation point or brackets anywhere in the site name.


Changing the host name or address

Every system (computer) on the Internet has an official host name and IP address. In order to connect to an FTP site, you must find out the official name or address of the site. Click here for the host names of some popular FTP sites.

For example, to get the name or address of a popular FTP site, use a search engine such as Lycos.com or Yahoo.com to search for the name. Or, try replacing the "www" portion of the organization's URL with "ftp", for example replace www.ipswitch.com with ftp.ipswitch.com. Or simply call the company and ask for the name of their FTP site.

Or, if you want to connect to an FTP site maintained by your Internet Service Provider (ISP), your ISP will provide you with an FTP name or address that looks something like: ftp.cecil.com or 156.22.3.1.

  1. From the Connection dialog, select the site in the Configured Sites list.

  2. Click the Advanced Properties button. (In the Explorer Interface, select the site and select Properties from the File menu.)

  3. In the Host Name text box, edit the host name or IP address.

This is either a fully qualified Internet host name or IP address.


Changing the host type

The host type is usually the manufacturer and model of the FTP server (the physical device on which the FTP site resides). For a complete list of host types supported by WS_FTP Pro, go to the KnowledgeBase on the Ipswitch Web site and search for "host type."

  1. From the Connection dialog, select the site in the Configured Sites list.

  2. Click the Advanced Properties button. (In the Explorer Interface, select the site and select Properties from the File menu.)

  3. Click the Advanced tab.

  4. Edit the Host Type.

  • If you know the host type, select it from the drop down list.

  • If you do not know the host type, WS_FTP Pro can probably detect it for you: try "automatic detect."

If you would like to figure out the host type, use the procedure in the topic, File list is missing, blank, or unreadable.


Commenting on an FTP Site

You can store a comment about the site for your future reference.

  1. From the Connection dialog, select the site in the Configured Sites list.

  2. Click the Advanced Properties button. (In the Explorer Interface, select the site and select Properties from the File menu.)

  3. Enter a Comment about the site in the Host Info tab.


Setting a default e-mail address for anonymous logins

Most FTP sites support anonymous logins which allow the general public to log onto the site and download files. However, even FTP sites that allow anonymous logins still require a user ID and password; for most anonymous logins, the user ID is the word anonymous and the password is an e-mail address.

  1. From the WS_FTP Pro dialog, click the Options button.

  2. Select the General tab. (This will be the first tab displayed when the Options dialog is opened.)

  3. In the E-mail Address box, enter the name of the e-mail address you want to use when you log onto an FTP site anonymously.

See also Notes about Passwords.


Deleting a configured site

  1. In the Connection dialog box, select the site.

  2. Select Delete from the Edit menu, or press the Delete key.

In the Explorer Interface, select the site entry and press the delete key.


Organizing sites in folders

You can organize your configured sites in folders. For example, you might have one folder for FTP sites that offer free games, and another folder for FTP sites from which you download software updates.

  1. Click the Connect button to view the Connection dialog box.

  2. Drag sites and folders around in the dialog box using standard Windows techniques.

To create a folder for site configurations, see Creating a new folder for site configurations.


Getting Prompted to Save Changed Sites

If you make changes to an FTP site configuration, WS_FTP Pro can prompt you to save your changes. If you do not have this selected, you must choose Save from the File menu (or click the Save button in the "Connection" dialog box) to save your changes; otherwise your changes apply only to the current session.

To get prompted whenever you change site properties:

  1. From the Connection dialog, select the site in the Configured Sites list.

  2. Click the Advanced Properties button. (In the Explorer Interface, select the site and select Properties from the File menu.)

  3. Click the Advanced tab.

  4. Select the Common list.

  5. Select Prompt for save of changed sites.

  6. Click Save.


Host Information

To set host information for a site:

  1. Host Name. This is either a fully qualified Internet host name or an IP address.

  2. Enter User ID, Password, and Account.

  3. Firewall. If you have configured a firewall, select the firewall configuration from the list.

  4. Passive Mode. Turn this on if you want your PC to establish the data connection to the FTP site instead of the site establishing the data connection to your PC. This is recommended for most FTP sites, and it is absolutely necessary for some firewall and gateway configurations and when you get failed data channel errors. Note, however, that not all FTP sites support passive mode.

  5. Secure (SSL). Select this option if you want to make an SSL connection to the server. To configure WS_FTP to work with SSL connections, go to the Configure SSL Dialog.

  6. Local Folder. If there is a folder on your PC that you want to use as your starting location when you connect to this FTP site, enter the path of the folder here.

  7. Comment. Enter any comments you want to include with this site.


Site Properties: Session Tab

Each of the session options can be set for a site, a site folder, or for all sites.

Session options for a site or folder:

  • Prompt for Destination File Names - When you transfer a file, WS_FTP Pro can display a prompt that shows you the proposed destination path and file name and allows you to change them.

  • Force Lowercase Remote Names - Some sites require file names to be in all lower case letters. Turn this on to have WS_FTP Pro convert file names to all lower case as you transfer them.

  • Convert Extensions - Select this option to use the conversions set up on the Convert tab of the Options dialog.

  • Receive Unique - This option makes sure that downloaded file names do not conflict with existing files if the FTP site supports the FTP command, STOU. The new filename is determined by the WS_FTP client.

  • Send Unique - This option makes sure that uploaded file names do not conflict with existing files if the FTP site supports the FTP command, STOU. The new filename is determined by the FTP site.

  • Update Folders After Transfer - Select this option to have WS_FTP Pro refresh the directory listing after transfers are complete.

  • Don't Cache Directory Listings - Select this option to have WS_FTP Pro refresh the directory listing every time the directory is accessed, including after transfers.

  • Verify Deletions - When you attempt to delete a file, you can have WS_FTP Pro display a dialog box that confirms the deletion; this gives you a chance to change your mind, or to cancel a deletion you initiated by mistake.


Site Properties: Startup Tab

Startup options:

  • Remote Site Folder - If there is a folder on the FTP site that you want to use as your starting location when you connect to this FTP site, enter the path of the folder here.

  • Initialize Command - If you know of commands that need to be issued to the FTP site when you connect, enter them here. For example, the command SITE UMASK 022 changes the UMASK used when creating files on a UNIX system. Separate multiple commands with a semi-colon.

  • Local file mask - You can enter a file extension here to limit the display of files and folders to just one particular type. For example, *.zip will show only .zip files in the startup folder.

  • Remote file mask - You can enter a file extension here to limit the display of files and folders to just one particular type. For example, you can enter -al to display all files on a UNIX site, or something like *.zip.

  • Time offset in hours - There is no standard for specification of date/time on FTP sites, but often it is displayed in GMT. If the time zone of the FTP site is different from yours, you can enter a number of hours to add to the file date and times to convert them to your local date and time. Use a positive number to add, or a negative number to subtract.

  • Startup Transfer Mode - Select the transfer mode that you would like to use as the default for this site or folder. For more information, see Specifying the Startup Transfer Mode.


Site Properties: Advanced Tab

To set advanced options:

  1. Host Type. If you know the host type, select it from the drop down list. If you do not know, try "Automatic detect."

If you would like to figure out the host type, use the procedure in the topic, File list is missing, blank, or unreadable.

  2. Connection Retry. Number of times to retry establishing a connection if the first connection attempt fails. This can be from 0 to 40 times.

  3. Network Timeout. This is the number of seconds before WS_FTP Pro times out waiting for an FTP site to respond to a command. Note that the initial connection timeout is determined by your Winsock DLL. Setting this value higher does not have any effect on the initial connection to the FTP site. Setting it to less than the amount of time than your Winsock DLL uses will cause the connection to fail in that amount of seconds.

  4. Remote Port. This is the port to connect to on the FTP site. This is normally 21; however, it may be something different if you are going through a firewall, or if the site administrator has assigned the FTP service to a non-standard port.

  5. Keep Alive. The number of seconds (from 0 to 3600) that WS_FTP will stay connected after the network timeout time expires.


Configuring a firewall

To enter firewall information, you will need to get information about your firewall from your network administrator. For more information, see Firewall types and required information for WS_FTP Pro.

  1. Select New Firewall from the File menu.

  2. Enter a name for the firewall as well as the firewall official host name or IP address.

  3. Click OK. The new firewall appears in the Configured Firewalls list.

  4. Enter the firewall User ID or leave blank if not used.

  5. Enter a Password. We do not recommend turning on Save Password unless you are the only user of your computer.

  6. Select a Type.

  7. Enter a Port number.

  8. Click Save.

You can now assign the firewall configuration to the site, by selecting the name of the configured firewall from the list on the Host Info tab.


Transferring Overview

The following are topics related to the transferring of files and folders through WS_FTP Pro.

  • Transferring files or folders

  • Using the Transfer Manager

  • Moving files

  • Dragging and dropping

  • Appending files

  • Viewing a file

  • Executing files

  • Using Batch Mode

  • Working with transfer modes

  • Specifying the Startup Transfer Mode

  • Doing passive transfers

  • Setting the network timeout

  • FTP server timeout

  • Setting the network buffers

  • Setting the dafault text viewer


Transferring files or folders

To transfer files or folders by dragging and dropping:

  1. Open the folder to which you want to transfer files on the destination system.

  2. Select the file transfer mode by clicking the appropriate button (ASCII, Binary, or Auto) under the file lists.

  3. Select the file(s) or folder(s) on the source system .

  4. Do one of the following:

  • Drag the selected files to the destination folder.

  • Use the Shift key when you drag to move the file.

  • Click a transfer arrow

To get prompted for a file name:

Do one of the following:

  • Click a transfer arrow when no file is selected.

  • From the Advanced tab in the Options dialog, click the Site list and select Prompt for Destination File Names.

See also:

Appending files

Transfer mode

Restarting a transfer after failure

Changing folders


Moving files

To move a file means to copy it from one location to another location and delete it from the source location.

Before you can move a file, you must select Allow files and folders to be moved from the Common list on the Advanced tab of the Options dialog.

In the Classic interface,

You can move files from one location on an FTP site to another location on the same site if you have the appropriate permissions from the site administrator.

  • To move a file, select the file and then select Move files from the right-mouse menu. You are prompted for the destination folder. (The destination folder must be on the same FTP site.)

In the Explorer interface,

  • To move a file, select the file. Then, press and hold down the Shift key while you right-drag the selected file to the destination location.


Appending files

You can select one or more files on the source system and transfer those files to the destination system, appending them to a destination file.

  1. Select one or more files on the source system.

  2. In the source system list box, select Append from the right-mouse menu. A dialog box prompts you to enter the destination file name.

  3. Enter the name of the file to which you want to append the selected file, and then click OK. The selected source files are copied to the end of the destination file.


Viewing a file (in its associated application)

Viewing a file

  1. Select the file.

  2. Click the View button.

If the file you want to view is on an FTP site , WS_FTP Pro first transfers the file to your Temp directory. Then:

  • If the file is a text file, it is opened in the Text Viewer. You can usually select the Save As... menu option and save the file to whatever name you want.

  • If the file is a data file, it is opened in its associated application.

  • If the file is an application (a binary file) or a does not have an application associated with it, it is opened in the Text Viewer; however, the results are unpredictable.


Executing files

When you open or execute a file from within WS_FTP Pro, the file is opened in the application that Windows associates with the file extension (via the Windows API "ShellExecute" function.)

To open or execute a file, select the file and then select EXEC button. If the file is on an FTP site, WS_FTP Pro transfers the file to your Temp directory. The file is opened in the application that Windows associates with the file extension.


Working with transfer modes

Files can be transferred in ASCII, binary, or "Auto" mode.

A file that is text, HTML, postscript, other ASCII format (.txt, .html, .htm, .cgi), or EBCDIC should be transferred in ASCII mode. Note: Transferring a binary file in ASCII format can damage the file.

A file that is a bitmap, an executable, or compressed (.bmp, .jpg, .exe, .zip) should be transferred in binary mode. (Binary mode should also be used if there is no file extension or the file extension is not registered.)

If you select Auto mode, WS_FTP Pro checks to see if the file has an extension that is listed on the Extensions tab. If so, ASCII mode is used; if not, binary mode is used.

Selecting the Transfer Mode

You can set the startup transfer mode for a site, folder, or the application. Or you can select the transfer mode for a particular transfer as follows:

  1. Select the file(s) you want to transfer.

  2. Select the transfer mode.

  3. Click the Upload or Download arrow.


Specifying the Startup Transfer Mode

The Startup Transfer Mode is the transfer mode that will be used unless you override it at the time you transfers.

The Startup Transfer Mode can be set in two places. When you set it on the Advanced tab of program options, you set it as the default for all sites; when you set it on the Session tab of site properties, you set it for just that site, thus overriding the setting in the program options.

To set the Startup Transfer Mode for a site:

  1. From the Tools menu, select Site Options.

  2. Click the Advanced tab.

  3. Select the Site list.

  4. Under Startup Transfer Mode, select one of the following:

  • ASCII. Used for text file transferring.

  • Binary. Binary mode is used for transferring files that are not text (e.g., executable programs, word processing documents, spreadsheets, databases, graphics files, and sound files).

  • Auto Detect. When selected, all files are transferred in binary mode unless the extension is listed on the Extensions tab. Extensions can be up to ten characters long and can contain periods. (These are not DOS extensions!) If you expect it to match on a period, you must enter the period.


Doing passive transfers

Normally, when you connect to an FTP site, the site establishes the data connection to your PC ( the client ). However, some FTP sites allow passive transfers – this means that your PC establishes the data connection.

By default, passive mode is selected in WS_FTP Pro; we recommend that you use it for transfers to and from FTP sites that support it. Note that passive mode may be required in the following instances:

  • For users on networks behind some types of router-based firewalls

  • Users on networks behind a gateway requiring passive transfers

  • If transfers are erratic

  • If you keep getting failed data channel errors

Passive mode can be set in two places. When you set it on the Advanced tab of program options, you set it for as the default for all sites. Note that when you select this option, the option is set as the default for all sites; that is, it becomes the setting for all sites configurations unless it is overridden by the settings for particular sites and folders.

To select passive transfers for a site:

  1. In the Connection dialog box, select the site.

  2. In the host information, select Passive Mode.


Setting the network timeout

The network timeout is the number of seconds that elapses before WS_FTP Pro stops waiting for an FTP site to respond. Normally, the network timeout is determined by your Winsock DLL . You can set it to less time than your Winsock DLL, but setting it higher will not affect anything.

  1. From the Tools menu, select Options.

  2. Click the Advanced tab.

  3. Enter the number of seconds for the Network Timeout.

Server timeout: In addition to the network timeout setting within WS_FTP Pro, there is also a "server timeout" that is determined by the FTP site. Most FTP sites will shut down the connection to a client such as WS_FTP Pro after a few minutes of inactivity. This setting can be changed only by the FTP site administrator, not from WS_FTP Pro.

Timeouts when uploading Web pages: If the FTP site to which you upload your Web pages times out, see Connecting to an Internet Service Provider .


FTP server timeout

Note: In addition to the network timeout setting within WS_FTP Pro, there is also a "server timeout" that is determined by the FTP site. Most FTP sites will shut down the connection to a client such as WS_FTP Pro after a few minutes of inactivity.

Note: This setting can be changed only by the administrator of the FTP site, not from WS_FTP Pro.


Setting the default text viewer

The default text viewer is the application (Windows Notepad by default) that will be started when you want to look at a text file.

  1. From the Tools menu, select Options.

  2. Click the General tab.

  3. In the Text Viewer box, enter the name of the text viewer you want to use.


Changing the permissions for UNIX files

You can change modes for a UNIX file on an FTP site, provided you have permission.

  1. Select the file.

  2. Select CHMOD from the right mouse menu. (This command is only available if the selected file is on a UNIX site.) Note: The selected options do not indicate necessarily indicate the current permissions for the selected file or folder!

  3. Select any of the options and click the OK button.

Background Information

Permissions can also be expressed as three-digit values; for example, 751. The first digit expresses Owner permissions; the second, Group permissions; the third, Other.

Three-digit values are used in the WS_FTP Pro log, in the message area, and by some system administrators and ISPs.

The table below shows how WS_FTP Pro options correspond to each digit. The third column shows the possible values for Owner, Group, and Other as viewed in the ten-position value in the first column of a directory list for a UNIX site.

WS_FTP Pro Options | 1st, 2nd, or 3rd digit of 3-digit no. | Permissions in dir list
none | 0 | ---
Execute | 1 | --x
Write | 2 | -w-
Write, Execute | 3 | -wx
Read | 4 | r--
Read, Execute | 5 | r-x
Read, Write | 6 | rw-
Read, Write, Execute | 7 | rwx

Therefore, the permission described as 751 would appear in a directory listing as a ten-position code, drwxr-x—x, where:

  • the first position, d, indicates whether item is a file (-) or directory (d)

  • positions 2-4 (rwx) indicate Owner permissions: read, write, execute

  • positions 5-7 (r-x) indicate Group permissions: read and execute.

  • positions 8-10 (--x) indicate Other permissions: execute only.

Note that if you attempt to change permissions, you will need to check the message area or the log to see if you were successful.


About firewalls

Some organizations separate their local networks from the rest of the Internet by installing a "firewall" or "gateway." A firewall is a system or software which is configured to prevent particular types of access/information from entering the network. Most firewalls block the flow into the local area network, but allow individuals to access most resources outside of the network.

WS_FTP Pro lets you enter information about a particular firewall into a firewall configuration, which you can then use when connecting to a particular FTP site from behind that firewall. You can configure the firewall once, and then assign that firewall configuration to whatever sites need to use it.

Multiple Firewalls

There are several reasons you might want to create more than one firewall configuration. If you use a laptop computer in different locations that have different firewalls, you will want to set up a firewall configuration for each location, so you can switch to the appropriate firewall configuration when you are in each location.

Another reason you might want to set up multiple firewall configurations is that your network could have more than one router configured as a firewall. In this case, you would assign a different firewall configuration to an FTP site depending on which part of the network you are working from.

Furthermore, you might have a number of "trusted sites" (for example, FTP sites set up by your own company) for which you would use a different firewall (or no firewall).


Navigating Files and Folders: Overview

Navigation tasks include the following topics:

Changing the current drive

Changing the current folder

Using the File Mask text box

Creating folders

Displaying directory information

Sorting files and folders

Setting the startup folder on an FTP site

Setting the default folder on your PC


Changing the current drive

You can change the drive on your PC (the local system). Do one of the following:

  • Type the drive letter followed by a colon into the current folder box; for example, d:

  • Scroll the list box and double-click the appropriate drive.

  • Click the ChgDir button. When you are prompted for a folder to change to, enter the drive letter followed by a semicolon (for example, d:), and then click the OK button.


Changing the current folder

Do one of the following:

  • If the desired folder name is shown in the list box, double-click it.

  • Select the desired folder and click the ChgDir button. WS_FTP Pro changes the current folder to the one selected.

  • To get a prompt where you can enter the desired folder name, make sure nothing is selected in the list box and click the ChgDir button. When prompted for a folder, you can also enter a drive letter followed by a colon (for example, d:) to change to a different disk drive.

  • Edit the folder path in the current folder box (just under the words Local System or Remote Site)

Note: If you selected Remember folders on the Session tab of Program Options, the drop-down list for both the Local System and Remote Site will show the folders you visited during previous sessions.


Creating a folder on an FTP site

Not all FTP sites allow you to create and remove folders; you must have an account on the FTP site and permission to write to the FTP site.

If you do have an account and permissions, select the FTP site file list and select Make Folder from the right-mouse menu or from the Operations menu of the Fi le menu. You are prompted for a folder name and must supply a name that is valid for the current FTP site.

You can also use the MkDir button.


Displaying directory information

Click the DirInfo button. Information about the current directory is displayed as a text document in the default Text Viewer. (To see what the default text viewer is, select Options from the View menu and click the General tab.)

For each file or folder within the current directory, the information shown may include: size, type, permissions, creation date, date last modified, and name.

You can print the document or save it.


Sorting files and folders

You can sort the files and folders in the Local System or Remote Site list boxes by using the column headings (Name, Date, Size) above each list or the Sort command on the right-mouse menu. You can also use the Sort tab.

Using column headings to sort:

Click a column heading to sort the files and folders as follows:

  1. Name. Click the column heading, Name, to toggle the alphabetical list between ascending and descending order. Click Ctrl+Name to sort the file names by file extension.

  2. Date. Click the column heading, Date, to toggle the alphabetical list between ascending and descending order.

  3. Size. Click the column heading, Size, to toggle the alphabetical listings between ascending and descending order.


Navigation Tips

If you are having trouble locating the files you want to download,

  • Look for a file called readme, readme.txt, index, or 00index to get a description of the available files, as well as other site information.

  • Look for a folder named pub.


Masking the display of files and folders

If your PC or an FTP site contains a large number of folders and files, you can limit the items displayed by using the File Mask text box (displayed as a blank box under the MkDir button). You can do this two ways: set it for a particular site, or set it "on the fly."

Setting the file mask for future connections to a particular site:

  1. From the Connection dialog, select the site in the Configured Sites list.

  2. Click the Advanced Properties button. (In the Explorer Interface, select the site and select Properties from the File menu.)

  3. Click the Startup tab.

  4. To limit the displayed files, enter characters and an asterisk in the Local file mask and/or Remote file mask text box. Examples: To display only text files, enter *.txt. To display only files whose names begin with the letter A, enter a*. If you are connected to a UNIX FTP site, you can use:

-al or -la to view hidden (.) files

Setting the file mask "on the fly" for just the current connection:

You can use a file mask while navigating a particular site. There is a File Mask box under each MkDir button: one for the local system (your PC) and one for the remote site ( FTP site ). In the appropriate File Mask text box, enter a file mask and then press Enter.


Setting the startup folder on an FTP site

You can set the folder that is current when you first connect to an FTP site.

  1. From the Connection dialog, select the site in the Configured Sites list.

  2. Click the Advanced Properties button. (In the Explorer Interface, select the site and select Properties from the File menu.)

  3. Click the Startup tab.

  4. In the Remote Site Folder text box, enter the path of the folder you would like to view when you first connect to this site.


Setting the default folder on your PC

You can set the folder on your PC that is current when you first connect to an FTP site.

  1. In the Connection dialog box, select the site to display its host information.

  2. In the Local Folder text box, enter the path and folder name of the folder you want to start with when you connect to this site.

Or

  1. Open the folder in the Local System pane.

  2. Click the Options button and click the Save Current Folders as Connection Folders button.


Logging Overview

Log files are a record of the conversation between the client (WS_FTP Pro) and the FTP server you are connected to. There are three ways you can view logs generated by WS_FTP Pro.

  1. In WS_FTP Pro, the Log window displays all conversations between WS_FTP Pro and the server. This window is located just above the bottom row of buttons on the Classic Interface, and at the bottom of the Explorer Interface (If you select View > View Log Window.)

  2. Select the log file from the directory identified on the Logging tab of the Options dialog.

  3. In the Transfer Manager, select the transfer item and select View > Log.

Related Topic

Logging Tab


Monitoring the progress of transfers

You can have WS_FTP Pro display a "Transfer Progress" dialog box that shows the progress of an on-going transfer and shows a percent done bar (if the file size is sent by the FTP site). In the dialog box, a progress "thermometer" is shown; underneath it you see the bytes transferred, the transfer rate in units per second, the total time of the transfer thus far, and the time remaining in the transfer.

You can select this option for:

  • Transfers to and from a particular FTP site

  • Transfers to and from all sites in a particular folder

  • The default for all transfers

You can click the Cancel File button in the Transfer Progress dialog box at any time to pause the transfer, or Cancel Request to cancel the entire request.

To select transfer progress

  1. From the Tools menu, select Options.

  2. Click the Advanced tab.

  3. Click the Common list.

  4. Select Show Transfer Progress Dialog.


Confirming overwrites

Most sites allow you to overwrite (replace) a file without giving you a warning. However, you can have WS_FTP Pro display a confirmation dialog box when you are about to overwrite a file:

  1. From the Tools menu, select Options.

  2. Click the Advanced tab.

  3. Click the Common list.

  4. Select or clear Prompt for overwrite of same or newer files.


Viewing the Log of the Protocol Conversation

Since FTP is a protocol, it can be characterized as a conversation between an FTP client (WS_FTP Pro on your PC) and an FTP server (the current FTP site).

The protocol conversation consists of FTP commands and FTP server replies. You do not need to be familiar with these commands and replies when you use WS_FTP Pro because WS_FTP Pro automatically translates your menu choices, dialog box selections, and mouse moves into the protocol commands, and interprets the FTP server's replies.

When you use WS_FTP Pro, the protocol conversation is shown just above the bottom row of buttons.

These log files are saved in the directory identified on the Logging tab of the Options menu. You can view them at any time by going to that directory and selecting the log file.


Dates and Times Overview

You can:

Preserve file date and time when downloading

Transfer only newer files

Adjust for a Different Time Zone

Note: The date and time on some FTP sites may not display correctly; for example, you may see a time of 00:00. For more information, see Time displays as 00:00.


Working with timestamp problems uploads

Working with timestamp problems on uploads

If the FTP site is a Windows NT host, it will always stamp incoming files with Greenwich Mean Time (GMT). To correct this, enter the time difference in the site properties.

When you upload a file to any other type of FTP site, the file date and time is usually automatically updated by the FTP site to the date and time of the transfer. If Preserve file time on transfer from remote is selected, WS_FTP Pro will attempt to keep the timestamp that is on the local system with the MDTM command. If the FTP server does not support this command, the file time will be changed.


Preserving file date and time

Preserving file date and time when downloading

By default, when you transfer files, the file date and time are updated to the date and time of the transfer. You can change this, so that the date and time are preserved.

To set how date and time are handled:

  1. From the Tools menu, select Options.

  2. Click the Advanced tab.

  3. Click the Co mmon list.

  4. Select or clear Preserve file time on transfer with remote.

Important Note about Uploads

If you select Preserve file time on transfer..., WS_FTP Pro will always preserve the date on downloads. However, it will only attempt to preserve the date and time on uploads, because many FTP sites do not support this feature.

If the preservation of file date and time is not supported by the FTP site, you will get an "MTDM" error when you upload files to the site. Note, however, that the files will transfer correctly with updated timestamps from the FTP site. (The "MTDM" error is not serious, even though it displays in red.)


Transferring only newer files

When you transfer a folder to a location where a folder with the same name already exists, you can make sure WS_FTP Pro does not overwrite a file that has the same or a newer date. To do this, you set WS_FTP Pro to transfer only files having newer dates and times than the files in the folder to which you are transferring.

  1. From the Tools menu, select Options.

  2. Click the Advanced tab.

  3. Click the Common list.

  4. Select Don't transfer older or same files during folder transfers.


Adjusting file dates and times for a different time zone

Adjusting for a Different Time Zone

You can have WS_FTP Pro adjust the display of file dates and times on an FTP site so they represent the times and dates in your time zone. For example, if an FTP site is in a time zone three hours earlier than your time zone, you can adjust a date and time of 11/10/2000 1:00 AM to 11/9/2000 10:00 PM.

  1. From the Tools menu, select Site Options.

  2. Click the Startup tab.

  3. In the Time offset in hours text box, enter the difference in whole hours between the time zone of your PC and the time zone of the FTP site. Use a positive number if the site is in an earlier time zone (west), a negative number for a later time zone (east).


Time Displays as 00:00

Occasionally, you may see the time for older files displayed as 00:00. This means that the FTP site cannot furnish WS_FTP Pro with the file times of older files. (WFTPD is an example of a popular FTP site which exhibits this behavior.)


Naming and Renaming Overview

The following are topics related to the naming and renaming of files and folders.

  • Renaming a file before or after transfer

  • Renaming a file as you transfer it

  • Getting prompted for path and file name

  • Having the FTP site assign the file name

  • Having WS_FTP Pro assign the file name

  • Converting file names to lower case

  • Converting file extensions


Renaming a file before or after transfer

Not all FTP sites allow you to rename files and folders on the site. You can rename files only if you have an account on the FTP site and permission to rename files and folders.

If you can not rename a file on an FTP site, you may not have renaming privileges on the site, or you may be trying to use a long name on an FTP site that does not allow long names. Try a name of eight characters or less.

To rename a file on an FTP site:

  1. Select the file(s).

  2. Click the Rename button (or select it from the right-mouse menu, or the File>Operations menu). You are prompted for the new name.

  3. Enter the new name for the item and click OK.

If you selected multiple files, you are prompted to rename the next file.

Related Topics

Renaming a file as you transfer it


Renaming a file as you transfer it

You can get a prompt that allows you to enter a path and name for each file you transfer to/from the site. You can also rename just one file as you transfer it as follows:

  1. Select the file.

  2. Press and hold the Ctrl key.

  3. Click the Upload or Download arrow. You are prompted for a file name and location.

  4. Specify the location (path) and enter a new file name.

  5. Click OK.

If the name is not accepted, you may be trying to use a long name on an FTP site that does not allow long names. Try a name of eight characters or less.


Getting prompted for path and file name

When you transfer a file, WS_FTP Pro can automatically display a prompt that shows you the proposed destination path and file name and allows you to confirm or change them. You can set this option for:

  • A particular site

  • All sites in a particular folder

  • The default setting for all transfers

To get a prompt for transfers to or from a particular site, or all sites in a particular folder:

  1. From the Connection dialog, select the site in the Configured Sites list.

  2. Click the Advanced Properties button. (In the Explorer Interface, select the site and select Properties from the File menu.)

  3. Click the Session tab.

  4. Select Prompt for Destination File Names.


Having the FTP Site Assign the File Name

You can have WS_FTP Pro make sure the uploaded file names do not conflict with existing files if the FTP site supports the FTP command, STOU. The new filename is determined by the FTP site.

  1. From the Connection dialog, select the site in the Configured Sites list.

  2. Click the Advanced Properties button. (In the Explorer Interface, select the site and select Properties from the File menu.)

  3. Click the Advanced tab.

  4. Click the Site list.

  5. Select Send Unique (FTP Site assigns name).


Having WS_FTP Pro Assign the File Name

You can have WS_FTP Pro make sure downloaded file names do not conflict with existing files. The new filename is changed so that the sixth though eighth characters of the filename are a number between 000 and 999.

  1. From the Connection dialog, select the site in the Configured Sites list.

  2. Click the Advanced Properties button. (In the Explorer Interface, select the site and select Properties from the File menu.)

  3. Click the Advanced tab.

  4. Click the Site list.

  5. Select Receive Unique (WS_FTP assigns name).


Converting file names to lower case

Some sites require file names that use all lower case letters. You can have WS_FTP automatically convert file names to all lower case as you transfer them. You can select this prompt for transfers to and from:

  • A particular site

  • All sites in a particular folder

  • The default for transfers

To convert uploaded file names to lower case for a particular site, or all of sites in a particular folder:

  1. From the Connection dialog, select the site in the Configured Sites list.

  2. Click the Advanced Properties button. (In the Explorer Interface, select the site and select Properties from the File menu.)

  3. Click the Session tab.

  4. Select Force Lowercase Remote Names.

To set the conversion of names to lower case as the default:

  1. From the Connection dialog, select the site in the Configured Sites list.

  2. Click the Advanced Properties button. (In the Explorer Interface, select the site and select Properties from the File menu.)

  3. Click the Session tab.

  4. Select Force Lowercase Remote Names.


Program Options: Convert Tab

Converting File Extensions (Program Options: Convert Tab)

WS_FTP Pro can automatically convert the extensions of files you transfer. For example, if the FTP site uses .html for HTML files and your system uses .htm, you can specify that all files with the extension .html are converted to .htm when they are downloaded to your system.

The list box on the Convert tab shows all defined extension conversions.

To add an extension conversion:

  1. From the Tools menu, select Options.

  2. Click the Convert tab.

  3. In the Local and Remote text box, enter the file extension of the source file (the extension you want to convert from).

  4. In the Destination text box, enter the file extension to convert to (destination file).

  5. Click the Add button. The extension conversion appears in the list box.

To delete an extension conversion:

  • Select it in the list box and click the Remove button.


Deleting files and folders

To delete a file or folder from an FTP site (if you have permission to delete files from the site):

  1. Select the file or folder.

  2. Select Delete from the right-mouse menu (or use the Delete button on your keyboard).

Notes:

  • If a folder is not empty, you will not be able to delete it unless you have selected Allow deletion of non-empty folders on the Advanced tab of program options.

  • If you can not delete a file from an FTP site, you may not have deletion privileges on the FTP site.


Deleting non-empty folders

Deleting non-empty folders from an FTP site

You can always delete empty folders from an FTP site, if the site allows it. However to delete non-empty folders and all their contents, do the following:

  1. From the Tools menu, select Options.

  2. Click the Advanced tab.

  3. Click the Common list.

  4. Select Allow deletion of non-empty folders. This permits deletion of folders from FTP sites that allow it; this setting has nothing to do with deleting folders from your PC.


Confirming deletions

When you attempt to delete a file, you can have WS_FTP Pro display a dialog box that confirms the deletion. This gives you a chance to change your mind, or to cancel a deletion you initiated by mistake. You can select this option for a particular FTP site, for all sites in a particular folder, or all sites.

To verify deletions from a particular site, or from all sites in a particular folder:

  1. From the Tools menu, select Options.

  2. Click the Advanced tab.

  3. Click the Site list.

  4. Select Verify Deletions.


WS_FTP Pro Transfer Manager

The WS_FTP Pro Transfer Manager is used to manage the transfer of files, to monitor multiple transfers, and to research multiple log files created through WS_FTP Pro transfers.

How To

Add files to the Transfer Manager

Use the Transfer Manager to monitor transfers

Removing files from the Transfer Manager

View logs through the Transfer Manager

Related Topics

Transfer Manager Dialog

Transfer Manager Menus


Transfer Manager: Transfer Tab

Transfer Manager Dialog

The Transfer Manager Dialog displays a list of all pending uploads and downloads, as well as active transfers. This list can be sorted by clicking on the sort buttons.

  • Source - The path and name of the file or folder that is to be transferred.

  • Status - The current status code of the listed item.

  • Transferred - The size of the transfer in bytes.

  • Rate (KB/S) - The number of Kilobytes being transferred per second.

  • Size - The actual size (in bytes) of the file.

  • Time Left - The estimated time left until the transfer is complete.

To execute a transfer

  1. Select the entry.

  2. From the Transfers menu, select Start.

To delete an item

  1. Select the entry.

  2. From the Transfers menu, select Delete.

Related Topics

Add files to the Transfer Manager

Use the Transfer Manager to monitor transfers

View logs through the Transfer Manager

Transfer Manager

Transfer Manager Menus


Transfer Manager: Menus

File

  • Exit - Closes WS_FTP Transfer Manager.

View

  • Log - Displays the log file for the selected item on the Transfer Manager.

  • Properties - Displays the transfer properties for the selected item on the Transfer Manager.

Transfer

  • Start - Forces a transfer to be executed.

  • Pause - Pauses the selected transfer.

  • Delete - Deletes the transfer entry.

  • Schedule - Adds the transfer to WS_FTP Scheduler so the transfer can be done more than one time.


Adding a file to the transfer manager

Files are added to the Transfer Manager through using the Batch Mode:

  1. Connect to an FTP server.

  2. Click the Batch Mode button.

  3. Select a file and click the transfer arrow, the file will be placed in the Transfer Manager.

  4. Once you have added all of the files to the 'batch,' click the Batch Mode button to take WS_FTP Pro out of batch mode.

The file or files will be transferred when you start them from the Transfer menu.


Removing files from the Transfer Manager

To remove a file from the Transfer Manager:

  1. Select the file you want removed.

  2. From the Transfers menu, select Delete.


Transfer Manager: Viewing Logs

When a transfer begins on the Transfer Manager, WS_FTP Pro will create a log file for both the connection and the transfer itself (unless logging has been disabled.) You can view these logs by:

1. Select the transfer request.

2. From the View menu, select Log. The Log for that file is displayed.


Use the Transfer Manager to monitor transfers

Using the Transfer Manager to monitor transfers

When you transfer a file, an transfer request is made on the Transfer Manager dialog. Under that transfer request, an entry is created for each file you have selected for upload or download. When the transfer begins, the status of that transfer is constantly updated.

If you stop a transfer before it is completed, the request will stay on the Transfer Manager until you remove it. In this way, you will be able to restart whenever you would like.


Program Options: General Tab

  • E-mail address - Most FTP sites support anonymous logins which allow individuals without an account on the FTP site to log onto the site and transfer files. However, even FTP sites that allow anonymous logins still require a user ID and password; for most anonymous logins, the user ID is the word "anonymous" and the password is an e-mail address. See also Notes about Passwords .

  • Text Viewer - This specifies the program that WS_FTP Pro calls when you want to view a text file. If the file you want to view is on an FTP site, WS_FTP Pro first transfers the file to the Temp folder in your Windows directory before opening it in the text viewer.

  • Debug Messages - Select this to send more detailed messages to the log directory indicated in the Directory box.

  • Transfer Options:

  • Additional Connections for Transfers - If you would like WS_FTP Pro to create a new connection for transfers, enter the number of additional connections you would like to have created.

  • Remove Finished Requests from Transfer Manager - If this option is selected, items will be removed from the Transfer Manager once a request is completed sucessfully.

  • Reset Window Locations - Returns the WS_FTP Pro window to its last saved appearance (window size, pane size, and window location) .

  • Save Current Folders as Connection Folders - Select this while connected to an FTP site to make the current folder the default connection folder for that site. All subsequent connections to that site will open to this folder.


Program Options: Advanced Tab

The following are options that can be selected on the Advanced Tab of WS_FTP Pro.

Common

  • Allow Deletion of non-empty folders - If selected, you will be able to delete folders that contain files or other folders.

  • Allow files and folders to be moved - Select this option to be able to move files. When a file is moved, the file is actually moved from one site to another, deleting the file in its original position.

  • Auto Save Site Configurations - If selected, WS_FTP Pro automatically saves the site configuration when you click the Connect button in the site properties dialog box.

  • Don't transfer older or same files during folder transfers - When you transfer a folder, files within that folder will not overwrite files that have the same or a newer date stamp.

  • Enable button balloon help - If selected, a box will appear describing the buttons on the WS_FTP Classic interface.

  • Preserve file time on transfer with remote - If selected, WS_FTP Pro will always preserve the date on transfers.

  • Prompt for overwrite of same name or newer files - Turn this on to have WS_FTP Pro ask if you want to overwrite a file when you attempt to transfer a file to a destination where there is the same or newer version (by date and time). Note that this feature will not work with some FTP sites.

  • Prompt for save of changed sites - If you make changes to an FTP site configuration, WS_FTP Pro can prompt you to save your changes.

  • Save window locations on exit - Saves the current main window size and location. Note that this works only if the main window is not maximized.

  • Show files and folders - Select the manner in which you want files displayed.

  • Show Transfer Progress dialog - Displays the Transfer Progress dialog while transfering files or folders.

  • Sort remote directory - Select how you want the items to appear in your Remote System pane.

  • Sounds - Select what type of sound, if any, you would like WS_FTP Pro to use.

  • None - When this option is selected, WS_FTP Pro will use no sounds.

  • Beep - When this option is selected, WS_FTP Pro will use a system beep.

  • Wave - Uses .wav files defined on the Windows Control Panel.

  • Use Windows associated icons - Displays Windows associated icons in the directory listings.

Classic

  • Remember folders - Caches a listing of folders for a single connection so WS_FTP Pro does not have to download a folder list every time it accesses a directory.

  • Show Connection dialog box on Startup - When this option is selected, WS_FTP Pro displays the "Connection" dialog box when it starts. Otherwise, you can view the "Connection" dialog box by disconnecting from the current site (if you are already connected) and selecting Connect from the File menu.

  • Sort local directory - Select how you want the items to appear in your Local System pane

  • Double click action - When you double-click a file name, WS_FTP Pro can transfer the file, view the file, execute the file, or do nothing.

Explorer

  • Browse folders using a seperated window for each folder - When this option is selected, a new window will be opened for every folder you access on a remote server.

  • Double click action - When you double-click a file name, WS_FTP Pro can transfer the file, view the file, execute the file, or do nothing.

Site

  • Convert extentions - Select this option to use the conversions set up on the Convert tab of the Options dialog.

  • Startup transfer mode - Select the desired startup transfer mode.

  • ASCII

  • Binary

  • Auto Detect. When this is selected, WS_FTP Pro transfers all files in binary mode, unless the extension is listed on the Extensions tab -- in which case the file is transferred in ASCII (text) mode .

  • Force lower case when uploading - When this option is selected, all items will be renamed so that the name appears in all lower case letters.

  • Don't cache directory listings - Keeps WS_FTP Pro from storing a directory listing. When this option is selected, a new directory listing is downloaded every time a directory is accessed or modified.

  • Prompt for destination filenames - When this option is selected, for each file that is transferred, WS_FTP Pro shows you the proposed destination file name and allows you to change it.

  • Receive unique (WS_FTP assigns name) - This option makes sure that downloaded file names do not conflict with existing files. The new filename is changed so that the sixth though eighth characters of the filename are a number between 000 and 998. For example, filename.txt is renamed to filen000.txt.

  • Send unique (FTP site assigns name) - This option makes sure that uploaded file names do not conflict with existing files if the FTP site supports the FTP command, STOU. The new filename is determined by the FTP site.

  • Update forlders after transfer - Select this option to have WS_FTP Pro refresh the directory listing after transfers are complete.

  • Use Passive transfer mode - Forces all connections to use Passive transfer mode.

  • Verify deletions - Select this option to have WS_FTP Pro prompt you to make sure you want to delete an item chosen for deletion.


Program Options: Extensions Tab

Setting Auto Detect Extensions (Program Options: Extensions Tab)

When Auto Detect is selected as the transfer mode, WS_FTP Pro transfers all files in binary mode, unless the extension is listed here -- in which case the file is transferred in ASCII (text) mode .

If you are not already viewing the Extensions tab, select Options from the View menu, and click the Extensions tab.

To add a file extension to the list:

  1. In the text box, enter a file extension. (The extension can be up to ten characters long and can contain periods.)

  2. Click the Add button. The extension appears in the list box.

To delete a file extension from the list box:

  • Select the extension and click the Delete button.


How to make an SSL connection

To make an SSL connection with a server you have an account on:

  1. Follow the directions for configuring a site, being sure to select the Secure (SSL) option.

  2. Once you click Connect, WS_FTP 'tells' the server that you want to make an SSL connection. The server then transmits to you an identifying certificate, letting the client know who the server is. If that certificate is already listed in your Trusted Authority database, the connection will be made.

  3. If that certificate is not listed as a trusted authority, the Non-Trusted Authority window will appear.

  4. Select the option you need and click OK. If the server does not require a certificate to be returned, the secure connection will be established. All data transmitted between you and the server will be encrypted.

If the server you are attempting to make a connection to asks WS_FTP to send back a certificate, follow the direction for Client Certificate Verification by selecting the item on the Table of Contents in the left pane of this help window.


Overview of Scripting

The Scripting Utility lets you write, debug, and execute scripts that can perform many of the file transfer operations available in WS_FTP Pro.

To write and debug scripts, use the "WS_FTP Script Editor/Debugger," "Trace," and "Log" windows. An MS-DOS window is automatically provided to show you the output of SHELL commands.

To execute scripts, use the Command (MS-DOS) Prompt.

See also:

File Transfer Tasks

Script Flow Control

Debugging

Script Command Reference


Basic Syntax

To run a script, you type ftpscrpt followed by the appropriate arguments. For example,

ftpscrpt -f script1.scp


Command Reference

Scripting Utility Command Reference

FTP Commands |  | Execution Control | Debugging
CD | MPUT | LABEL | LOG
CLOSE | PASS | GOTO | TRACE
CONNECT | PUT | ONERROR |
DEL | RDEL | ONSUCCESS |
DIR | RGET |  |
FIREPASS | RMDIR |  |
FIREUSER | RNFR |  |
GET | RNTO |  |
LCD | RPUT |  |
MDELETE | SHELL |  |
MGET | SSL |  |
MKDIR | USER |  |
MODE |  |  |


Command Line Arguments

Arguments for FTPSCRPT.EXE

Argument (alphabetical) | What It Does | Important restrictions
-b | Specifies binary transfer mode. |
-c account | Specifies an account on the FTP site. | Overrides the account in the site configuration if used after the -p option; otherwise the -p setting takes precedence.
-f | Specifies the script file. | -f settings have precedence over command line options.
-p sitename | Specifies a configured site in the default .ini file or in the .ini file specified with the -i argument. |
-u | Specifies a user ID. | Overrides the user ID in the site configuration if used after the -p option; otherwise the -p setting takes precedence.
-w | Specifies a password to use. | Overrides the password in the site configuration if used after the -p option; otherwise the -p setting takes precedence.


Writing Scripts

You write scripts using the "WS_FTP Script Editor/Debugger" window.

  • To add a line, select Add from the Edit menu. Select the command you want and then type any parameters in the text box.

  • To insert a line, select the line above which you want to insert the line and select Add or Insert from the Edit menu.

Editing Scripts

  • To edit a line in the "Modify Command" window, double-click the command line in the "WS_FTP Script Editor/Debugger" window or select it and select Modify form the Edit menu.

  • To delete a command line, select the line and select Delete from the Edit menu.

  • To edit commands in text edit mode, click the Edit button and type directly into the "WS_FTP Script Editor/Debugger" window. When finished editing, click End edit.


Editing Scripts

There are several ways to edit scripts:

  • To insert a line, select the line above which you want to insert the line and select Add or Insert from the Edit menu.

  • To edit a line in the "Modify Command" window, double-click the command line in the "WS_FTP Script Editor/Debugger" window or select it and select Modify form the Edit men.

  • To delete a command line, select the line and select Delete from the Edit menu.

  • To edit commands in text edit mode, click the Edit button and type directly into the "WS_FTP Script Editor/Debugger" window. When finished editing, click End edit.


Debugging Scripts

To debug a script:

  1. Open the script file.

  2. Make sure you have TRACE and LOG commands at the beginning of the script.

  3. Step through the script using the Step button and use the information in the "Trace" and "Log" windows to determine which commands are executing as desired and which are not.

  4. Use online Help to look up any commands that are not executing as desired and correct the command syntax.


Debugging Commands

You can debug your script by:

Tracing the results of each script command (TRACE)

Viewing a log of FTP events (LOG)


File Transfer Tasks

Your script can perform the file transfer tasks shown below. (For a simple list of commands, click here.)

Logging On

  • Connect to an FTP site on a particular port (CONNECT)

  • Set the user ID for the log on to the FTP site (USER)

  • Set the password for the log on to the FTP site (PASS)

  • Set the user ID for your firewall

  • Set the password for your firewall

Navigating and Viewing Files and Folders

  • Change the current folder on your PC (LCD)

  • Change the current folder on the FTP site (CD)

  • Issue a list command to the FTP site using a file mask (DIR)

Managing Files and Folders

  • Create a folder on the FTP site (MKDIR)

  • Delete a folder from an FTP site (RMDIR)

  • Delete a file from an FTP site (DEL)

  • Delete either multiple files or folders with contents from an FTP site (RDEL)

  • Rename a file or folder “from” on an FTP site (RNFR)

  • Specify the new file name or folder name (RNTO)

Transferring Files and Folders

  • Copy a file from an FTP site (GET)

  • Copy multiple files or folders with contents (RGET)

  • Copy a file to an FTP site (PUT)

  • Copy either multiple files or folders with contents to an FTP site (RPUT)

Other

  • Shell out to your PC to execute command line (SHELL)

  • Close an FTP connection you have opened (CLOSE)


Executing Scripts

  1. Write and save your script.

  2. Do one of the following:

  • In the Scripting Utility, click Go.

  • Go to the MS-DOS prompt and type ftpscrpt followed by the appropriate command line parameters. For example,

ftpscrpt -p sitename -f script1.scp

Note: To be able to run a script from any location on your hard disk, we recommend that you place the Scripting Utility folder in the Path statement in your Autoexec.bat file – if you are running Windows 95 or Windows 98. If you’re using Windows NT, add the WS_FTP Pro folder to the path variable in the System Environment. Otherwise, change to your .ini file folder before you enter the commands.


Sample Script

Sample Scripts

Sample 1. A script that downloads a file (anonymous login)

In this example, the script connects to the Ipswitch FTP site and downloads a "Read Me" file.

Type at Command Prompt:

C:/ftpscrpt –f getreadme.scp

getreadme.scp

TRACE SCREEN
LOG SCREEN
USER anonymous
PASS wsftp70@unknown
CONNECT ftp.ipswitch.com
CD Ipswitch\Product_Downloads
DIR
GET readme.txt
CLOSE

Sample 2. A script that uploads web pages to an ISP (most parameters in script commands)

In this example, the script connects to a specific FTP site entering a user ID and password. Then the script Changes to the appropriate folder on the FTP site and on the local system. Finally it copies all the .htm files in the current local folder to the current FTP folder.

Type at Command Prompt:

C:/ ftpscrpt –f postwebsite.scp

postwebsite.scp

TRACE Screen

LOG Screen

USER Louie

PASS Petra

CONNECT ftp.acme_isp.com

CD htmfiles/LouPetra

LCD C:/webstuff/current/

MPUT *.htm

Sample 3. A script that uploads web pages to an ISP (most parameters in command line)

In this example, the command line and the script achieve exactly the same result as the previous script, but the parameters are entered in the command line instead of in the script.

Type at Command Prompt:

C:/ ftpscrpt –p wks188 –u LouPetra –w blackie –s –f postwebsite.scp

postwebsite.scp

TRACE Screen

LOG Screen

CONNECT

LCD C:/LPwebstuff/current

MPUT *.html

CLOSE

Sample 4: A script that uses flow control

In this example, the script downloads two files from an FTP site; where each file resides in a different folder. If the script cannot get to either of the appropriate folders, it displays an error message stored in a text file named nofolder.txt. If the script cannot download either one of the files, it displays an error message stored in another text file, nofile.txt.

Type at Command Prompt:

C:/ ftpscrpt -f copytwo.scp

nofolder.txt

Could not locate %foldername% on the FTP site.

nofile.txt

Could not locate %filename% on the FTP site.

timepost.scp

TRACE Screen

LOG Screen

USER Paws

PASS growl

CONNECT wks188.augusta.ipswitch.com

SHELL SET foldername=Playthings

SHELL SET filename=chewstik.doc

CD /Playthings

ONERROR GOTO NOFOLDER

GET chewstik.doc

ONERROR GOTO NOFILE

SHELL SET foldername=Guidelines

SHELL SET filename=demands.doc

CD /Guidelines

ONERROR GOTO NOFOLDER

GET Demands.doc

ONSUCCESS GOTO disconnect

LABEL NOFOLDER

SHELL type direrror.txt

GOTO disconnect

LABEL NOFILE

SHELL type filerror.txt

LABEL disconnect

CLOSE


WS_FTP Scheduler

WS_FTP Scheduler lets you schedule regular uploads or downloads for files or directories. The utility is a front-end interface to Microsoft Scheduler. To set up the file transfer task, you:

The Scheduler window shows all queued FTP tasks and their status. The tasks are listed from top to bottom in the order in which they were added to the list. For each task, the Scheduler window shows the following information:

  • Task Name - The name of the task file.

  • Next Run Time - The date and time the task is scheduled to be run.

  • Last Status - The status of the task.

Scheduler Tasks

Add to Scheduler

Deleting a task

Editing a task

Running a task


Add to Scheduler

To add a task to the scheduler from the Scheduler Utility

  1. From the File menu, select New. The Scheduler Properties dialog appears.

  2. Click the Browse button next to the Source Host/Profile box and select the site you want to connect to. If you do not already have a site profile configured for that site, you need to configure one by clicking New. If your local system is the source for the transfer, leave this box empty.

  3. Click the Browse button next to the Source Path/File box. If you selected a site in the Source Host/Profile box, this will connect you to the FTP Site (If you are not connected to the internet, you need to connect before continuing.) If your local system is the source host, an explorer window will appear.

  4. Select the items you want to transfer.

  5. Select a destination for the transfer in the Destination Path/File box.

  6. Select the type of transfer in the Transfer option area.

  7. The Comment, User Login (NT), Password, and Replace scheduled item if exists boxes and options are optional depending on your computer and personal preferences.

  8. Select the frequency of this scheduled transfer.

  9. Click OK to add the task to the list.


Deleting a task

To remove a scheduled task from the list

  1. Select the item on the scheduler queue.

  2. From the File menu, select Delete. A confirmation dialog appears.

  3. Click OK to remove the item from the queue.


Editing a task

To edit a task previously added to the Scheduler queue

  1. Select the item on the scheduler queue.

  2. From the File menu, select Edit. An edit dialog appears.

  3. Make the changes you need to make to the item and click OK.


Running a task

Tasks that are on the scheduler queue are run automatically as long as your local system is connected to the internet. To run a scheduled task off-schedule, select Run from the File menu, or the right-mouse menu.


Introduction

The Find Utility, based on FTP, allows you to quickly search for files and folders on FTP sites, and then transfer the found files to your PC. The Find Utility is designed to work in conjunction with WS_FTP Pro: it provides easy access to the FTP sites you have already configured in WS_FTP Pro.

To find files, you first connect to an FTP site, and then enter search criteria. You can search by name, date modified, size, or any combination of the three.

Site Properties

You can edit site properties in the Find Utility; any changes will appear in WS_FTP Pro, both the classic and Explorer interfaces.

Note, however, that not all the site properties are used by the Find Utility. The Find Utility uses the information on the General tab, Firewall tab, and the Remote Port number on the Advanced tab.


Making the Connection

When you click OK in the Browse/Connect dialog box, the Find Utility attempts to connect you to the FTP site. Once the connection is made, you can use the Browse button to view folders starting at the current folder.

The connection to the FTP site lasts until:

  • You click the Disconnect button,

  • You quit the Find Utility, or

  • Your connection to the FTP site is interrupted by external circumstances (such as your modem becoming disconnected).

See also:

Entering User ID and Password


Retrying the Connection

To have the Find Utility retry connecting to an FTP site if the first attempt fails,

  1. Click the Advanced tab.

  2. Enter the number of times to retry the connection in the Retry the Connection box.


Disconnecting from an FTP Site

To disconnect from the current FTP site, but use the search criteria on another FTP site, click Disconnect.

To disconnect from the current FTP site and clear the search criteria, click New Search.


Specifying Where to Look

Specifying the FTP Site

The Look in box is where you specify which configured site profile to use to connect and search.

You can also connect to FTP sites you have not configured by simply entering the site’s host name or IP address. You will be connected as an anonymous user.

Entering the path. In the Look in text box, you can also enter the path you want to search. You can appended it to the site name by typing, or (once you have connected to the site) by using the Browse button.


Overview of Criteria

Overview of Search Criteria

You can enter several types of search criteria. You can search by a single criterion such as name, date, or size. You can also combine search criteria by entering criteria on more than one tab; for example, you can search by:

  • Name and date

  • Name and size

  • Date and size

  • Name, date, and size


Searching a Different FTP Site

To disconnect from the current FTP site, but save the search criteria to use on another site, click Disconnect.


Searching by Date Modified

If you know the exact or approximate date of the file (or folder) you want to find,

  1. Click the Date Modified tab.

  2. Click the Find all files created or modified button.

  3. Select the appropriate range of dates.

  • Between. Select this option to search for files that were created between the beginning and end dates. Use the mm/dd/yyyy format for both boxes.

  • During the previous x months. Select this option to search for files that were created within a certain number of months.

  • During the previous x days. Select this option to search for files that were created within a certain number of days.


Searching by Name

If you know all or part of the name of the file (or folder) you want to find, click the Name & Location tab and type all or part of the name in the Named box. You can use wildcard characters such as * and ?

If you leave the Named box blank, the search will find all files in the Look in location.

If you don’t know the name of a file, search by date or size.


Searching by Size

When searching for files, you can specify a minimum or maximum file size. However, you can’t search for folders by size, since folder size is always zero, even if the folder is not empty.

  1. Click the Advanced tab.

  2. Do one of the following:

  • In the Size box, select At least to search for a minimum file size or At most to search for a maximum file size. Then, indicate the minimum or maximum size of the files you want to find.

For example, if you select At Least in the Size box and enter 50 in the KB box, the Find Utility looks for all files that are 50K or larger.

  • To disregard file size in the search, make sure that [blank] is selected in the Size box.


Results list

List of Found Files and Folders

The list of found files is displayed when files and folders meeting your criteria have been found. You can sort the list in ascending or descending order by clicking the column headings.

You can:

  • Transfer a file or folder

  • Rename a file or folder

  • Delete a file or folder


Renaming a File

Once the Find Utility displays a list of found files, you can rename a file in the list (if you have permission to rename files on the current FTP site).

To rename a file, select it and then select Rename from the right mouse menu.


Deleting a File

You can delete a file in the list of found files (if you have permission to delete files from that site).

To delete a file, select it and then select Delete from the right mouse menu.


Organizing Sites in Folders

You can organize your configured sites in folders. For example, you might have one folder for FTP sites that offer free games, and another folder for FTP sites from which you download software updates.

To create a folder for sites,

  1. Select the site.

  2. Select New folder from the right mouse menu.

  3. Enter a name for the folder and click OK. The new folder appears in the list of Configured Sites.

  4. Drag sites and folders around using standard Windows techniques.


Transferring Files and Folders

The Transfer button displays a dialog box in which you can select the location to which you want to transfer the selected files in the list of found files.

  1. In the list of found files, select the files (and folders) you want to transfer.

  2. Select the desired transfer mode from the Options menu.

  3. Do one of the following:

  • Double-click the file or folder.

  • Drag the selected files to the desired location.


Date Modified_Tab

This tab lets you search for files that were created between the dates you specify.

  1. Click the Date Modified tab.

  2. Do one of the following:

  • To search for files (or folders) created or modified during a specific time period, click the Find all files created or modified button and then select the appropriate range of dates.

Between. Select this option to search for files that were created between the beginning and end dates.

During the previous x months. Select this option to search for files that were created within a certain number of months.

During the previous x days. Select this option to search for files that were created within a certain number of days.

  • To disregard dates in the search, select All Files.


Name and Location Tab

Name & Location Tab

The Name & Location tab lets you specify where you want to look, and for what file name.

Named

Look in

Browse

Include Subfolders

Secure Connection (SSL)

Find Now

Cancel

Disconnect

Clear


Advanced Tab

The Advanced tab allows you to do two things: specify a file size and/or indicate the number of times you want to retry to connect to a site.

If you are searching for a file, do one of the following:

  • In the Size box, select At least to search for a minimum file size or At most to search for a maximum file size. Then, indicate the minimum or maximum size of the files you want to find. For example, if you select At Least in the Size box and enter 50 in the KB box, the Find Utility looks for all files that are 50K or larger.

  • To disregard file size in the search, make sure that [blank] is selected in the Size box.

  • To have the Find Utility retry connecting to an FTP site if the first attempt fails, enter the number of times to retry the connection in the Retry the Connection box.

Note: You can’t use Size to search for a folder, since all folder have a size of zero, even if they’re not empty.


Overview

The WS_FTP Synchronize Utility provides the ability to synchronize or mirror a local directory structure with one on a remote system.

WS_FTP Synchronize provides the following capability:

  • Make the remote (on an FTP site) directory structure match the local (on your system) directory structure.

  • Make the local (on your system) directory structure match the remote (on an FTP site) directory structure.

  • Make each match the other by copying the newest version of local files to the remote system and by copying the newest of version of remote files to the local system.

In addition, WS_FTP Synchronize provides options that help you maintain synchronization between the sites. You can set options to do the following:

  • Delete files and directories on the target system if they are not on the source system.

  • Update only those files that already exist on the target system.

  • Force an update by updating files regardless of date, time or size.


Main Screen

WS_FTP Synchronize Utility

The main program screen displays the current control file settings. You can change any of these settings and save the changes to the file. After you have selected the settings, click Go to start the program.

To create a new control file, click the New button to use the Control File Wizard.

Control File Name

Site Name

Local Folder

User ID

Password

Firewall

Remote Folder

Exclude

Synchronize Direction

Options

Schedule

WS_FTP Synchronize Functions:

Make the Local and Remote Folders Match

Update Remote Folder with Files in a Local Folder

Update Local Folder with Files in a Remote Folder


Starting WS_FTP Synchronize

To start the WS_FTP Synchronize Utility:

  1. From the Start menu, select Programs->WS_FTP Pro->WS_FTP Synchronize Utility. Or, with WS_FTP up and running, you can select Utilities > FTP Sync

When the utility opens, a warning is displayed to alert you that when you synchronize the directory structure of a local and a remote folder, files in a directory (or folder) may be overwritten. We recommend that you run a new control file in test mode and view the log to verify that it does what you want it to do.

  2. Click OK. The main window appears.

Related Topics

Creating a Control File


Making the Local and Remote Folders Match

To make the files and folders in a remote folder (on an FTP server) match exactly the files and folders in a local folder (on your PC).

  1. With WS_FTP Synchronize running, enter a Control file name in the Control file name field or select one by clicking on the Browse (&ldots;) button. If you do not have a control file configured, click the New button. This will walk you through creating a control file from the beginning. The directions below pertain to both new and existing control files.

  2. In the Site name box, select an existing WS_FTP site from the drop-down list or enter the address of the site. If you select an existing site, the User ID (and password, if saved) are automatically displayed. If you are entering an IP address or name of an FTP host that does not exist in the ws_ftp.ini file, you need to enter the User ID and Password.

  3. In the Local Folder box, enter the desired local folder (or click the Browse (&ldots;) button and select the local folder).

  4. In the Remote Folder box, enter the desired remote folder (or click the Browse (&ldots;) button and select the remote folder).

  5. In the Synchronize Direction options, select Local <à Remote.

  6. Select any of the Options. The default setting has no options selected.

  7. In the Time difference box, specify any time zone difference between the local and remote hosts. Except when Force update of destination is selected, it is important to set the time offset properly. Normally, if the FTP server reports dates and times in Greenwich Mean Time (GMT), this time offset will be the time zone difference for the local system from GMT. Otherwise, you must determine the time difference using a utility like WS_FTP Pro classic. (For example, -4 works for systems in the Eastern US time zone (with daylight savings time in effect). Note that this option is ignored if the remote system is a WS_FTP Server as it will always communicate using GMT.

  8. Before running the actual update (synchronization), first test your control file by selecting the Test script only option, and then clicking Go. The Status window shows the results of the test.

  9. If satisfied with the test, clear the Test script only option, and then click Go.

WS_FTP Synchronize compares the files in the two folders and copies the newest version of files in the local folder to the remote folder, and copies the newest version of files in the remote folder to the local folder.


Creating New Control Files

From the File menu, select New or click the New button. A program wizard walks you through creating a new control file.

  • Site Name

  • Local Folder

  • Remote Folder

  • Synchronize Direction

  • Options

  • Summary


Updating Local Folder with Files in a Remote Folder

To update the files and folders in a local folder (on your PC) with the files and folders in a remote folder (on an FTP server):

  1. With WS_FTP Synchronize running, enter a Control file name in the Control file name field or select one by clicking on the Browse (&ldots;) button. If you do not have a control file configured, click the New button. This will walk you through creating a control file from the beginning. The directions below pertain to both new and existing control files.

  2. In the Site name box, select an existing WS_FTP site by clicking the Browse (...) button or enter the address of an FTP site. If you select an existing site, the User ID (and password, if saved) are automatically displayed. If you are entering an IP address or name of an FTP host that does not exist in the ws_ftp.ini file, you need to enter the User ID and Password.

  3. In the Local Folder box, enter the desired local folder (or click the Browse (&ldots;) button and select the local folder).

  4. In the Remote Folder box, enter the desired remote folder (or click the Browse (&ldots;) button and select the remote folder).

  5. In the Synchronize Direction options, select Local ß Remote.

  6. Select any of the Options. The default setting has no options selected, which means that all files and folders in the remote folder will be downloaded to the local folder. If a file appears in both folders, the file is downloaded only if it is a more recent file (by comparing the timestamps). Note that this makes it important that you specify any time zone difference between the local and remote hosts.

  7. In the Time difference box, specify any time zone difference between the local and remote hosts. Except when Force update of destination is selected, it is important to set the time offset properly. Normally, if the FTP server reports dates and times in Greenwich Mean Time (GMT), this time offset will be the time zone difference for the local system from GMT. Otherwise, you must determine the time difference using a utility like WS_FTP Pro classic. (For example, -4 works for systems in the Eastern US time zone (with daylight savings time in effect). Note that this option is ignored if the remote system is a WS_FTP Server as it will always communicate using GMT.

  8. Before running the actual update (synchronization), first test your control file by selecting the Test script only option, and then clicking Go. The Status window shows the results of the test.

  9. If satisfied with the test, clear the Test script only option, and then click Go.

WS_FTP Synchronize compares the files in the two folders and updates the local folder according to the specified options.


Updating Remote Folder with Files in Local Folder

To update the files and folders in a remote folder (on an FTP server) with the files and folders in a local folder (on your PC):

  1. With WS_FTP Synchronize running, enter a Control file name in the Control file name field or select one by clicking on the Browse (&ldots;) button. If you do not have a control file configured, click the New button. This will walk you through creating a control file from the beginning. The directions below pertain to both new and existing control files.

  2. In the Site name box, select an existing WS_FTP site by clicking the Browse (...) button or enter the address of the site. If you select an existing site, the User ID (and password, if saved) are automatically displayed. If you are entering an IP address or name of an FTP host that does not exist in the ws_ftp.ini file, you need to enter the User ID and Password.

  3. In the Local Folder box, enter the desired local folder (or click the Browse (&ldots;) button and select the local folder).

  4. In the Remote Folder box, enter the desired remote folder (or click the Browse (&ldots;) button and select the remote folder).

  5. In the Synchronize Direction options, select Local à Remote.

  6. Select any of the Options. The default setting has no options selected, which means that all files and folders in the local folder will be uploaded to the local folder. If a file appears in both folders, the file is uploaded only if it is a more recent file (by comparing the timestamps). Note that this makes it important that you specify any time zone difference between the local and remote hosts.

  7. In the Time difference box, specify any time zone difference between the local and remote hosts. Except when Force update of destination is selected, it is important to set the time offset properly. Normally, if the FTP server reports dates and times in Greenwich Mean Time (GMT), this time offset will be the time zone difference for the local system from GMT. Otherwise, you must determine the time difference using a utility like WS_FTP Pro classic. (For example, -4 works for systems in the Eastern US time zone (with daylight savings time in effect). Note that this option is ignored if the remote system is a WS_FTP Server as it will always communicate using GMT.

  8. Before running the actual update (synchronization), first test your control file by selecting the Test script only option, and then clicking Go. The Status window shows the results of the test.

  9. If satisfied with the test, clear the Test script only option, and then click Go.

WS_FTP Synchronize compares the files in the two folders and updates the remote folder according to the specified options.


Additional Notes

The word “folder” is used in place of the word “directory” within this help file and the program. Many users of host systems may not find any reference to the term “folder” when referring to host system documentation. Folder and directory should be considered synonym.

Except when Force update of destination is selected, it is important that the time offset be set properly. Normally this time offset will be the time zone difference for the local system from GMT, if the FTP server reports dates and times in GMT. Otherwise, you must determine the time difference using a utility like WS_FTP Pro classic. (For example, use -4 systems located in the Eastern US time zone (with daylight savings time in effect.)


Browser Integration

WS_FTP Pro can be integrated with your Web browser to handle FTP URLs in a Web browser.

To select and set up integration with your Web browser:

  1. From the Tools menu, select Browser Integration.

  2. Set the options on the Integration and Download tabs as needed.

  3. Click OK.

Related topics

Integration Tab

Download Tab


Browser Integration: Download Tab

  • Offer to Reschedule before starting download - When this option is selected, WS_FTP Pro will ask if you want to reschedule the download for a later time before downloading the file. If you do not select this, or do not reschedule the transfer, the file is downloaded immediately.

  • Use Firewall - Use this list box to select the firewall you need to use for downloads. See Firewalls for more information.

  • Preserve File Times - When this option is selected, the original file times are kept after the file is downloaded.

  • Close Download dialog box when download completes - When this option is selected, the Download dialog box closes itself when a download is completed.

Related Topics

Browser Integration

Browser Integration: Integration Tab


Browser Integration: Integration Tab

  • Use WS_FTP Pro to handle FTP URLs in Netscape Navigator - Select this option to have WS_FTP Pro work with Netscape Navigator 4.x or later.

  • Use WS_FTP Pro to handle FTP URLs in Microsoft Internet Explorer - Select this option to have WS_FTP Pro work with Microsoft Internet Explorer.

  • Ask before using WS_FTP Pro - When this option is selected, WS_FTP Pro will prompt you before handling FTP URLs.

Related Topics

Browser Integration

Browser Integration: Download Tab


FTP Commands (Overview)

WS_FTP Pro lets you use pull-down menus, dialog boxes, and mouse moves such as drag and drop to work with FTP sites; but behind the easy-to-use interface, WS_FTP Pro is translating your choices into FTP commands, so you do not need to know the protocol commands to transfer files. However, advanced users may sometimes want to enter FTP commands directly.

The complete File Transfer Protocol includes approximately 35 FTP commands, with new ones ("FTP extensions") proposed from time to time; these are listed in the User's Guide, Appendix A.

The ten commands advanced users are most likely to need are included in WS_FTP Pro on a sub-menu of the FTP Commands item on the right mouse menu. The following commands are available:

  1. CWD

  2. PWD

  3. HELP

  4. SYST

  5. SITE

  6. QUOTE

  7. LIST

  • MLSD

  1. NLST

  2. RETR

  3. STOR

  • CHMOD


CHMOD Command

The CHMOD command appears on the right mouse menu (under FTP commands) only when you are connected to a UNIX FTP site, and one or more files or folders on the site are selected.

The CHMOD command lets you change file permissions on a UNIX (host type) FTP site, provided you have permission to do so. The proper permission settings depend on what you want to do and who normally can read files by default; this information should be available from the FTP site administrator.

When you select CHMOD, you see a dialog box where you can specify the most common UNIX file attributes. Note: The selected items do not reflect the current permissions of the file; instead, they represent the permission settings you last used.

Note: You must have write permission on the FTP site and the site must support the "SITE chmod" command. This is normally valid only on UNIX-based systems.


CWD Command

CWD <SP> <pathname> <CRLF>

This command allows the user to work with a different directory or data set for file storage or retrieval without altering his login or account information.


HELP_Command

HELP [<SP> <string>] <CRLF>

This command causes the server to send a list of supported commands and other helpful information.


LIST Command

LIST [<SP> <pathname>] <CRLF>

This command causes a list to be sent from the server to the passive data transfer process. If the pathname specifies a directory or other group of files, the server should transfer a list of files in the specified directory.


NLST Command

NLST [<SP> <pathname>] <CRLF>

This command causes a directory listing to be sent from the FTP site to the FTP client.


MLSD Command

This command causes a directory listing to be sent from the FTP site to the FTP client.


PWD Command

PWD <CRLF>

This command causes the name of the current working directory to be returned in the reply.


QUOTE Command

QUOTE <string> <CRLF>

The QUOTE lets you enter any FTP command you want. WS_FTP Pro sends it to the FTP site, unedited. It is up to you to determine the command syntax depending on the FTP site you are connected to.


RETR Command

RETR <SP> <pathname> <CRLF>

This command causes the server to transfer a copy of the file specified in the pathname to the client. The status and contents of the file at the server site are unaffected.


SITE Command

SITE <SP> <string> <CRLF>

This allows you to enter a command that is specific to the current FTP site. WS_FTP Pro prefixes your entry with the word SITE and sends your entry to the FTP site without any editing.


STOR Command

STOR <SP> <pathname> <CRLF>

This command causes the server to accept the data transferred via the data connection and to store the data as a file at the server site. If the file specified in the pathname exists at the server site, then its contents are replaced by the data being transferred. A new file is created at the server site if the file specified in the pathname does not already exist.


SYST Command

SYST <CRLF>

This command is used to find out the operating system of the server.


Can only connect to Ipswitch

Can connect only to Ipswitch

If WS_FTP Pro can connect only to the Ipswitch FTP site and nothing else, you are using a pre-release version of WS_FTP which has timed out. It connects to ftp.ipswitch.com to allow you to download the current version of WS_FTP Pro.


Cannot connect to an FTP site

If you cannot connect to ANY FTP site and see the message "Cannot connect to sitename," perform the following checks:

  1. Make sure you have an active dial-up or direct Internet connection. WS_FTP Pro is not a dialer. It calls the Winsock DLL and uses the dialer or direct connection specified there.

  2. Check that you have a valid login name and password. If you do not, try selecting the Anonymous check box in the site properties; or, contact the system administrator of the FTP site to which you are trying to connect.


Connection closes before I'm done

Connection closes before I am done

In addition to the network timeout setting within WS_FTP Pro, there is also a "server timeout" that is determined by the FTP site. Most FTP sites will shut down the connection to a client such as WS_FTP Pro after a few minutes of inactivity. You can change this setting only on the FTP site, not from WS_FTP Pro. If you are running Windows 3.x, go to the KnowledgeBase on the Ipswitch Web site (www.ipswitch.com) and search for "slow transfer."


Corrupted files

Corrupted files or Strange Characters

You may have transferred a binary file in ASCII transfer mode ; this can result in strange characters appearing in the file (such as ^M) or in damage to the file.

Make sure you transfer text files (such as .txt, .html, .htm, .cgi) in ASCII mode and most other files (such as .bmp, .jpg, .exe, .zip) in binary mode .

If you still have problems, verify that you have "hardware flow control" enabled on your modem. If you are not using the Microsoft TCP/IP stack (part of the Windows 95, 98, 2000, or NT operating system), contact your stack vendor.


Determining the Host Type

Note: If the FTP site folder/directory listing is missing, blank, or unreadable, follow the steps in File list is missing, blank, or unreadable before trying the following procedure.

For a complete list of host types supported by WS_FTP Pro, go to the KnowledgeBase on the Ipswitch Web site (www.ipswitch.com) and search for "host type."

To figure out the host type of an FTP site:

  1. Disconnect from the site if you are currently connected to it.

  2. Enable the transfer log.

  3. Exit WS_FTP Pro and restart.

  4. Try to determine the host type from the log.

  • Connect to the site again.

  • Check the log to see if the host type is identified there. If it is, select the corresponding host type on the Advanced tab of the site properties. If that does not work, try the next step.

  1. If you have permission to create a test account on the site, do so and then send access information to ftpdir@ipswitch.com. If this is not possible, go to the next step.

  2. Log on anonymously.

  3. Save copies of the log and directory information.

  • Select Log Window from the View menu. When the log is opened in the text viewer, save the log to a file.

  • Click the DirInfo button and save the file listing to a file.

  • If, and only if, you have completed all the steps above, mail both files to ftpdir@ipswitch.com along with as much of a description of the FTP site as possible. Note: Do NOT send mail to this address unless you have been unsuccessful after completing the procedure in File list is missing, blank, or unreadable as well as the procedure above.


Can connect only to IP Address

If WS_FTP Pro can only connect to sites using the site IP address (for example, 123.123.123.123) and not the host name, you need to configure the DNS (Domain Name Server) in your stack. Talk to your network administrator or your Internet provider for the proper values for DNS.


MTDM Error Message

This message means that the current FTP site does not support Month-Day-Time-Marking; this means that after the file was uploaded, WS_FTP attempted to preserve the date and time, but the time can not be preserved by this FTP site. However, files will transfer correctly, and there will be an updated timestamp from the FTP site on the files.

Note that this is not a fatal error, even though it displays in red.


Partial file transfer

If WS_FTP Pro consistently returns some number of bytes of a file and can never retrieve the whole file, you need to set the Maximum Transfer Unit (MTU) in your program stack to 576. For more information on setting the MTU, go to the KnowledgeBase on the Ipswitch Web site, www.ipswitch.com, and search for "MTU."

If WS_FTP Pro sometimes does not return a complete file and leaves off from 50 to 512 bytes, you could be using an inadequate network stack. Some network stacks do not properly handle data packets that have the FIN flag set. These stacks improperly return a length of zero to a "blocking recv socket" call and do not make all the data available.

If you're not using the Microsoft TCP/IP stack (part of the Windows 95, 98, 2000, and NT operating systems), contact your network stack provider for an updated version of the network stack.


Problems Converting File Names

If you have problems converting file names when you download files from an FTP site, select Prompt for destination file names on the Session tab of site options. You will then be shown the proposed file name and allowed to change it. Alternatively, you can hold the Ctrl key down when you initiate the transfer and you will be prompted for each destination filename.


File list is missing, blank, or unreadable

If you can connect to a FTP site but don't get a directory/folder listing, it may be due to one of several different problems. The procedure below gives you some troubleshooting options.

  1. Disconnect from the FTP site if you are currently connected to it.

  2. Change to passive mode.

  • View the Host Info tab of the site properties.

  • select Passive Mode.

  • Connect to the site again. If the problem still exists, try the next step.

  1. Make sure you have a valid Temp or Tmp folder.

  • Go to the MS-DOS (or Command) Prompt and type "set." Make sure that the Tmp and Temp variables are listed, and that the directories indicated actually do exist on your hard disk. If not, create a Temp variable from the MS-DOS prompt by typing the following (depending on where your Windows directory is located):

set temp=c:\windows\temp

  • Once you have made sure there is a valid Temp or Tmp folder, connect to the site again. If the problem still exists, try the next step.

Change the host type to "Automatic detect." This will take care of about 90% of all FTP sites. If that doesn't work, see Determining the Host Type .


Unable to Open/View Files and Folders

If you can connect to an FTP site, but cannot open a folder on the FTP site or transfer a file, check your folder and file access privileges on the FTP site. These permissions are set by the site administrator and cannot be changed by WS_FTP Pro.


WS_FTP Command Line

You can use the command line from the MS-DOS prompt to run the WS_FTP Pro Classic interface.

When you use the command line, you are actually running a subset of the functionality of the Classic interface. Using the command line, you can:

  • Upload and download files

  • Specify ASCII or binary transfer mode

  • Convert file names to lowercase when uploading

  • Set up pre-scheduled transfers

  • Create batch files that will handle multiple commands

For detailed information, see Chapter 13 of the WS_FTP Pro User's Guide.


Edit Command

The Edit command allows you to edit a file.

  • If you select a filename on an FTP site and then click Edit, the file is transferred to your temporary folder and is opened in its associated application .


MODE

Syntax: MODE (port or pasv)

What it does: set transfer mode to ‘port’ or ‘pasv’.

Note:

  • By default, transfer mode is ‘pasv’.


ChgDir button

Change Directory - ChgDir button

The Change Directory command allows you to change the current folder. Do one of the following:

  • Select the desired folder and select the Change Directory command from the right-mouse menu or click the ChgDir button. WS_FTP Pro changes the current folder to the one selected.

  • To get a dialog box that asks for the folder name, make sure nothing is selected in the list box and select the Change Directory command.

  • When you see the dialog box, you can also change drives by entering a drive letter followed by a colon (for example, d:).


Classic Transfer Arrow

Transfer Arrow

The two arrows displayed between the local system and the remote site panes of the main window are the transfer arrows. The arrow pointing to the left transfers the selected file on the FTP site to your PC ("download"). The arrow pointing right transfers the selected local file(s) or folder(s) from your PC to the FTP site ("upload").


Delete button

Delete - Delete button

The Delete command allows you to delete a file or folder on your PC or on the current FTP site, if you have permission to do so. Do one of the following:

  • Select the file or folder you want to delete and select Delete from the right-mouse menu, click the Delete button.

  • Select the Delete command with nothing selected and enter a folder name when prompted.

Note: If you selected a folder and the folder is not empty, you will not be able to delete it unless you have selected Allow deletion of non-empty folders.

If you click the Delete button without selecting a file or folder, you will be prompted to enter the name of the item you want to delete.


DirInfo button

Directory Info - DirInfo button

The Directory Info command opens a text document that displays information about the current directory as a text document in the default Text Viewer (as specified on the General tab of program options).

WS_FTP displays as much information as the FTP site delivers. Depending on the site, for each file or folder within the current directory, the following information may be shown: size, type, permission, creation date, date last modified, and name.

You can print the document or save it.


Exec button

Execute - Exec button

The Execute command allows you to execute, or open, a file.

  • If you select a local filename and then click Exec, the file is executed using the Windows file association.

  • If you select a filename on an FTP site and then click Exec, the file is transferred to your temporary folder and is executed using the Windows file association.


File Mask Text Box

The File Mask text box is located just below the MkDir button; it displays as a blank rectangle. It allows you to view a subset of the files on either the Local System or Remote Site; this is handy if there are a large number of files and folders.

In the File Mask text box, enter a filter that is valid for the system, and then press Enter. For example, to display only files with the extension .txt, enter *.txt in the File Mask text box and press Enter. The corresponding list box is refreshed to display only the files with the extension .txt.

If you are connected to a UNIX FTP site, you can use:

  • -al or -la in the File Mask text box on the Remote Site side of the window to view hidden (.) files


MkDir button

Make Directory - MkDir button

The Make Directory command allows you to create a folder/directory on your PC or on the FTP site if possible. (Not all FTP sites allow you to create folders; you must have an account on the site and "create" privileges.)

When you select this command, you are prompted for a folder name that is valid for the current system.


Refresh button

Refresh - Refresh button

The Refresh command allows you to refresh the folder and file list box to display any recent changes to the current folder.

You can also use the Refresh command to de-select any selected files or folders.


Rename button

Rename - Rename button

The Rename command allows you to rename a file or folder on your PC or on an FTP site, if possible. (Not all FTP sites allow you to rename files and folders; you must have an account on the site as well as renaming privileges.)

Warning: Some systems allow you to rename a file over the top of an existing file.


Transfer mode button

The transfer mode button allows you to change the transfer mode between binary, ASCII, and Auto-detect.


View Button

View - View button

The View command allows you to view a file.

  • If you select a filename on an FTP site and then click View, the file is transferred to your temporary folder and is opened in the default text viewer . If the file is not a text file, it is transferred and then opened in its associated application .


Canonical URL

A canonical FTP URL begins with "ftp://" and contains a least a host name. It may optionally also include a user name, a password, a port number, and a file path. The format is as follows:

ftp://user:password@host:port/filepath

If a port number is not specified, the default FTP port number of 21 is assumed.

Examples

The following canonical URL specifies an optional user name and a non-default port number of 1021:

ftp://herbie@ftp.acme.com:1021

The following canonical URL specifies a username and password, and also the name of a file. (It uses the default port number of 21):

ftp://herbie:lovebug@acme.com/public/users/herb/mystatus.doc


New Site Third Panel

New Site Wizard

  • User ID. If you have an account on the FTP site, enter the User ID you need to use to access your account.

  • Anonymous. Selecting this box automatically enters anonymous as your User ID and, for the Password, the e-mail address you indicated during Install.

  • Password. Enter the Password you want to use for the User ID you entered. If this is an anonymous login, enter your full electronic mail address. (Place a minus (-) sign in front of the e-mail address to reduce the number of site administrator messages you receive.)

  • Save Password. If you have an account on the FTP site, you can also save your password by clicking Save Password and entering your password in the text box.

  • Account. If applicable, enter the Account that you want to use for the User ID you entered. In most cases, you will leave the Account blank because most FTP sites do not use accounts.

  • Save Account. Select Save Account if you do not want to enter the Account each time you log on to this site.

Click Next to continue or Finish to add the site now.


"Handling" FTP URLs

WS_FTP Pro handles FTP URLs as follows:

  • If the URL is the name of an FTP server, such as ftp.ipswitch.com, WS_FTP Pro "handles" the URL by starting the Classic interface of WS_FTP Pro and connecting to the site.

  • If the URL includes the path and name of a file, such as ftp.ipswitch.com/French/ftp605F.txt, WS_FTP attempts to download the file to your PC.

  • If the URL includes the path and name of a folder (and not a file), such as ftp.ipswitch.com/French, WS_FTP Pro "handles" the URL by starting the Classic interface, connecting to the site, and navigating to the folder.


Download Dialog

You have chosen to download a file from an FTP site using WS_FTP Pro. You can either open this file or save it to disk.

  • If you choose to Open the file from its current location, WS_FTP Pro will copy the file to your Temp folder, and then open the file in its associated application.

  • If you choose to Save it to disk, you will be prompted for a path and file name.

  • If you choose to Reschedule the download will be cancelled and the WS_FTP Scheduler Utility appears.


FTPURL.exe Help Screen

WSFTPURL.exe Help Screen

WSFTPURL.exe can download, and open or save an FTP URL. It is the application used by WS_FTP Pro's Browser Integration component to actually process the URLs.

WSFTPURL.EXE may also be used to download a URL from the MS-DOS Prompt (Windows 95 and 98) or the Command Prompt (Windows NT). To do this, enter:

C:/Program Files/WS_FTP Pro/wsftpurl <URL>

where <URL> is a valid, fully canonical URL, such as

ftp://ftp.acme.com:8021/public/status reports/mj.txt.

If the URL specifies a file name, the file is downloaded. For example, the following command line downloads a file named mj.txt:

wsftpurl ftp://ftp.acme.com:8021/

public/status reports/mj.txt

If the URL does not specify a file name, the Classic interface will start, connect to the FTP site, and navigate to the specified directory.

If WSFTPURL.EXE is started without any parameter (or if you double-click its icon), it shows you this Help topic.


Browser Progress

WS_FTP Pro is transferring, or has transferred, a file from an FTP site to your PC. This dialog box shows the progress of the transfer, and then tells you when the transfer is complete.

If, while the transfer is proceeding, you click Close this dialog when download completes, the dialog box will close automatically when the transfer is complete.

While the transfer is in progress, the Cancel and Reschedule buttons appear.

  • If you choose to Reschedule the download will be cancelled and the WS_FTP Scheduler Utility appears.

When the transfer is complete, Open and Open Folder buttons appear.

  • The Open button will open the file in its associated application, and close the progress dialog.

  • The Open Folder button will connect to the site in the Classic interface, and navigate to the folder that contains the file.

The Close button simply closes the progress dialog box.


URL Handler

You have specified that WS_FTP Pro be used to handle FTP URLs for the current Web browser, but you have also specified that WS_FTP Pro ask you each time it is asked to download a file.

  • If you want to use WS_FTP Pro to handle this FTP URL, click Yes.

  • If you want to always use WS_FTP Pro to handle FTP URLs and not be asked each time, select Don't ask again and then click Yes.

  • If you don't want to use WS_FTP Pro to handle this FTP URL, click No. The Web browser will handle the URL as it normally would.


Change Directory (dialog box)

Enter the path and directory name you want to make current.


Confirm Deletion (dialog box)

If you are sure you want to delete the selected file(s) or folder(s), click Yes.


Confirm File Replace (dialog box)

If you are sure you want to overwrite the selected file(s) or folder(s), click Yes.


HDLG_Connect Site Firewall

Connect dialog box

In order to connect to the FTP site you have selected, you need to enter more information. Fill in the blank boxes as follows:

Site

If you have special permissions on the FTP site, enter the User ID and Password provided to you by the FTP Site administrator to access the site.

If applicable, enter the Account that you want to use for the User ID you entered.

Firewall

User ID. Enter the User ID for the firewall.

Password. Enter the Password for the firewall.


Delete folder (dialog box)

Enter the name of the folder you would like to delete.


Enter a Name for the FTP Site Configuration

You need to do two things in this dialog box: enter a site name, and select a folder name. (The OK button is not active until you do both these steps:)

  1. Enter a Name for the FTP site configuration.

Notes:

  • This is not a host name! Rather, this is a name you assign to an FTP site for your own convenience; this is the name you will select from the list of configured sites when you want to connect to this site.

  • This name should be different from the host name; it can be anything you like, but if it is longer than 78 characters, it will be truncated.

  • Do not enter an underscore as the first character in the site name

  • Do not use an exclamation point or brackets [] anywhere in the site name.

  2. Select the folder in which you want to store the site.


New Folder

Folder Name. Do not enter an underscore as the first character in the folder name; and do not use an exclamation point or brackets [] anywhere in the folder name.


New Site Wizard

  • Site Name. This is a name you assign to an FTP site for your own convenience; this is the name you will select from the list of configured sites when you want to connect to this site.

  • This name should be different from the host name; it can be anything you like, but a name longer than 78 characters will be truncated.

  • Do not enter an underscore as the first character in the site name; and do not use an exclamation point or brackets [] anywhere in the site name.

  • Host Name or IP Address

Click Next to continue or Finish to add the site now.


Open (dialog box)

If you select Open it and the source location is an FTP site, WS_FTP Pro will transfer the file to the Temp folder in your Windows directory and then execute the file according to its file extension.

If you select Save it to disk, you will be prompted for a path and file name.

Select the transfer mode. Files can be transferred in ASCII, binary, or "Auto" mode.

A file that appears to be text, postscript, or other ASCII format should be transferred in ASCII mode. Note: Transferring a binary file in ASCII format can damage the file.

A file that appears to be data, an executable, or compressed should be transferred in binary mode. (Binary mode should also be used if there is no file extension or the file extension is not registered.)

If you select Auto mode, WS_FTP Pro checks to see if the file has an extension that is associated with a text viewer. If so, ASCII mode is used; if not, binary mode is used.


Quote Command

Enter any standard FTP command. WS_FTP Pro sends it to the FTP site, unedited. It is up to you to determine the command syntax depending on the FTP site you are connected to.


SITE Command HDLG

SITE Command

Enter any FTP command, including non-standard host specific commands. WS_FTP Pro sends it to the FTP site, unedited. It is up to you to determine the command syntax depending on the FTP site you are connected to.


New Site Fifth Panel

New Site Wizard

If you are not using a firewall, you do not have to enter anything in this dialog box.

  • Firewall. If you have configured a firewall, select the firewall configuration from the list.

  • Create New Firewall Entry. Click this button to go through the Firewall setup wizard.

Click Finish to add the site now.


New Site Fourth Panel

New Site Wizard

  • Host Type. If you know the host type, select it from the drop down list. If you do not know, try "Automatic detect."

  • Port. This is the port to connect to on the FTP site. This is normally 21; however, it may be something different if you are going through a firewall, or if the site administrator has assigned the FTP service to a non-standard port.

  • Passive Mode. Turn this on if you want your PC to establish the data connection to the FTP site instead of the site establishing the data connection to your PC. This is recommended for most FTP sites, and it is absolutely necessary for some firewall and gateway configurations and when you get failed data channel errors. Note, however, that not all FTP sites support passive mode.

Click Next to continue or Finish to add the site now.


Notes about Passwords

If you are logging on anonymously (using an e-mail address as a password):

  • You can use a valid e-mail address if you do not mind the FTP site learning your e-mail address.

  • You can place a minus (-) sign in front of the e-mail address in order to minimize the number of descriptive messages you will receive from the FTP site administrator.

  • WS_FTP Pro does not allow you to enter a blank password; however, you can enter empty quotation marks if you would rather not divulge a valid e-mail address.

If you are not logging on anonymously:

  • We do not recommend turning on Save Password unless you are the only user of your computer and no one else has access to your WS_FTP folder. If you do not save the password, WS_FTP Pro will prompt you for one when you initiate the connection.


Program Options: Logging Tab

  • Enable Session Logging - Select this option to have log files generated for each connection. Clear it to keep WS_FTP Pro from creating session log files.

  • Log file path - This is the path to where WS_FTP Pro will write log files. To change this, enter a new path in this field.

  • Enable Transfer Log - Select this option to have log files generated for each transfer. Clear it to keep WS_FTP Pro from creating transfer log files.

  • Log path file - This is the path to where WS_FTP Pro will write log files. To change this, enter a new path in this field.

  • Log Window Colors - Use the following buttons to select the color you want to use for the log window and each message type.

  • Normal - Select the color for normal messages.

  • Information - Select the color for informational messages.

  • Warning - Select the color for warning messages.

  • Critical - Select the color for critical messages.

  • Transfer - Select the color for messages related to transfers.

  • Background - Select the color for the background of the Log window.


Right Mouse Menu

While on the WS_FTP Pro main window, you can bring up a menu by pressing the right-mouse button when the cursor is in the file listing. The commands on this menu are the following (Some items will not be available depending on what item is selected in the list.)

  • Copy - Copies a file or folder to be 'pasted' to another site.

  • Paste - Uploads or downloads a file or folder that has been copied.

  • Select All - Selects all files and folders in the current directory.

View Options

  • Large Icons - Changes the layout of the list pane to show file names along with large icons associated with the file type.

  • Small Icons - Changes the layout of the list pane to show file names along with small icons associated with the file type.

  • List - Changes the layout of the list pane to show an ordered list of files in a selected directory.

  • Detail - Changes the layout of the list pane to show an ordered list of files with the name, size, type, time of last modification, and attributes listed.

Site Commands

  • Change Directory

  • Make Directory

  • View

  • Edit

  • Append

  • Execute

  • Rename

  • Delete

  • Refresh

  • Directory Info

  • Send to Scheduler

FTP Commands

The following are items found on the right-mouse menu that appears when you right-mouse click in the Address, Local System, or Remote System boxes.

  • Undo - Erases the last edit you made to the selected box.

  • Cut - Removes text to be pasted into another box.

  • Copy - Copies text to be 'pasted' to another box.

  • Paste - Places cut or copied text from your clipboard into the selected box.

  • Delete - Clears all text from the box.

  • Select All - Selects all text in the selected box.

The following are items found on the right-mouse menu that appears when you right-mouse click in the Log Window.

  • Save As - Select this option to save your log file. The Save As dialog appears.

  • Clear - Completely deletes all text in your Log Window.

  • Print - Opens your default text editor and prints the log file to your default printer.

  • Copy - Copies the selected log text to your clipboard. You can paste this text in any text editor.

  • Select All - Selects all of the text in your Log Window.


SSL Utilities window

SSL Utilities

The SSL Utilities are used to configure WS_FTP Pro to be able to make an SSL connection with a server you have an account on.

How to make an SSL connection

SSL Utility Windows

Certificate Selection

Certificate Creation

Trusted Authorities


User ID, Password, and Account

To enter User ID, Password, and Account (on the Host Info tab), use the following guidelines:

  • Select Anonymous (recommended for most FTP sites unless you have special permissions or an account). "Anonymous" automatically enters "anonymous" as your User ID and your default e-mail address as the Password. See also Notes about Passwords.

  • If you have special permissions on the FTP site, enter the User ID and Password provided to you by the FTP Site administrator to access the site. See also Notes about Passwords.

  • If applicable, enter the Account that you want to use for the User ID you entered. In most cases, you will leave the Account blank because most FTP sites do not use accounts. Select Save Account if you do not want to enter the Account each time you log on to this site. Note about VM/CMS host.


Account (definiton)

Account (definition)

Some FTP sites, notably VM/CMS hosts, require an account in order to authenticate the client and provide access to a default directory for the user. For many sites, however, no account is required.


Anonymous (definition)

To log on to any FTP site, you must identify yourself with a user ID and password. For many FTP sites, you can use the word anonymous as a User ID, and your e-mail address as your password; this is known as an "anonymous login." (All of the Ipswitch preconfigured FTP sites are set up as anonymous logins.)

FTP sites that allow anonymous logins usually exist to provide files that can be downloaded by the general public; anyone on the Internet can log onto the site anonymously and copy files to his or her PC. This is similar to logging on to a file server as a "guest."

Anonymous logins have access to a vast store of software, games, music, and numerous other resources. However, if you log in anonymously, you usually are not allowed to do more than view public folders and download files. (You are usually unable to view private folders or to upload files.)


ANSI (definition)

Acronym for the American National Standards Institute. Founded in 1918, ANSI is an organization that creates standards for the computer industry, among other things.


ASCII (definition)

ASCII (American Standard Code for Information Interchange). Text file format. Text files have end-of-line characters; the end-of-line character is different on different types of computers.


ASCII Transfer Mode (definition)

The end-of-line character in text files is different on different types of computers; most non-PC computers use just a linefeed character to signify the end of a line, but PCs use carriage return plus linefeed <CRLF>.

Using ASCII mode ensures that the end-of-line character is translated properly. The ASCII transfer mode should be used for all text files, including text, HTML, postscript, or other ASCII format (.txt, .html, .htm, .cgi). It should also be used for EBCDIC files.

(ASCII mode contrasts with binary mode in which characters are not translated, but are transferred as exact duplicates of the original.)


Binary (definition)

A file format that is used for non-text files such as bitmaps (.bmp or JPEG, .jpg), executable programs, word processing documents, spreadsheets, databases, graphics files, and sound files.


Binary Transfer Mode (definition)

The binary transfer mode transfers a file as an exact copy of the original, and should be used for transferring all binary files, including bitmaps, executables, or compressed files (.bmp, .jpg, .exe, .zip).

(Binary mode contrasts with ASCII mode which treats a file as text, translating the end-of-line characters during transfer.)


Classic Interface of WS_FTP Pro

The WS_FTP Pro Classic interface is a stand-alone Windows application that displays a two-pane window with your PC's files and folders on the left and the FTP site's files and folders on the right.


Configured FTP site (definition)

A configured FTP site is a collection of information about an FTP site. A site configuration includes:

  • Your name for the site configuration

  • The site's host name or IP address, as well as host type

  • Your user ID, password, and account on the site

  • The startup folder for the FTP site

  • Any commands you want to send the site

  • The local and remote file masks

  • A time offset (if the site is in a different time zone)

  • Retry, timeout, and port settings


Connect (definition)

When you "connect" to an FTP site, WS_FTP Pro sends messages to the FTP site and -- if the connection is successful -- receives messages back from the site. These messages use the Internet's File Transfer Protocol.


Destination System (definition)

The system to which you are transferring files; this can be either the FTP site if you are uploading files, or it can be the local system (your PC) if you are downloading files to your PC.


Disconnect (definiton)

Disconnect (definition)

To disconnect your PC from an FTP site, WS_FTP Pro closes the open connection between your PC and the FTP site.


Download (definition)

Transfer a file to your local PC from an FTP site.


EBCDIC_definition

EBCDIC (definition)

Extended Binary Coded Decimal Interchange Code. EBCDIC is an 8-bit binary code for larger IBM computers in which each byte represents one alphanumeric character or two decimal digits. Control commands are also represented. EBCDIC is similar to ASCII code, which is used on most other computers.


File Transfer Protocol (definition)

FTP stands for File Transfer Protocol, one of the standard protocols defined for the Internet. It is a client/server based protocol, whereby a client program on one system, usually your PC, sends requests to a server program on another system, an FTP site, and receives replies from the site.

FTP allows the fastest and safest means of file transfers on the Internet.


Firewall (definition)

Some organizations separate their networks from the rest of the Internet by installing a "firewall" or "gateway." A firewall is a system or software which is configured to prevent particular types of access/information from entering the network. Most firewalls block the flow into the local area network, but allow individuals to access most resources outside of the network.

Some types of router-based firewalls will not allow an FTP site to establish a data connection to your local PC. You will want to use passive transfers if your local area network is behind these types of firewalls.


Firewall Host Name and IP Address

Every system (computer) on the Internet has an official host name and Internet (IP) address. In order to connect to an firewall, you must find out the official name or address of the firewall. For example, a firewall might have a host name of guard.acme.com and an IP address of 156.210.50.114. In WS_FTP Pro, you can use either the host name or the IP address to specify a particular firewall.


FTP Client (definition)

An FTP client is a computer that is running FTP client software. When you use FTP to download files from an FTP site, you are actually running an FTP client (such as WS_FTP Pro) on your PC.


FTP site (definition)

An FTP site consists of an FTP server program located on an Internet host computer.

Many companies and organizations maintain FTP sites (also known as "FTP servers"). These can be

  • File repositories from which you can copy files such as free programs and evaluation versions of software. WS_FTP Pro provides a number of popular FTP sites that have already been configured for you. When you connect to an FTP site like this, look for a file called readme, readme.txt, index, or 00index. Such files provide descriptions of the resources available on the site as well as other useful information.

  • File repositories where you can place files for use by others. (For example, a site on which you place your Web site pages for your ISP, or a site on which you place a photograph file for use in an on-line auction.)


Password

Enter the Password you want to use for the User ID you entered.

If this is an anonymous login, enter your full electronic mail address. You can place a minus (-) sign in front of the e-mail address to reduce the number of site administrator messages you receive.


Host Name or IP Address (defintion)

Host Name or IP Address (definition)

Every system (computer) on the Internet has an official host name and Internet (IP) address. In order to connect to an FTP site, you must find out the official name or address of the site. For example, a system might have a host name of superserv.ipswitch.com and an IP address of 123.124.125.126. In WS_FTP Pro, you can use either the host name or the IP address to specify a particular FTP site.

Examples

  • For most large, well-known companies, their FTP sites are named "ftp.companyname.com" (e.g. ftp.microsoft.com, ftp.adobe.com, and ftp.aol.com)

  • To get the name or address of a popular FTP site, use a search engine such as Lycos.com or Yahoo.com to search for the name. Or, try replacing the "www" portion of the organization's URL with "ftp", for example replace www.ipswitch.com with ftp.ipswitch.com. Or simply call the company and ask for the name of their FTP site.

  • If you want to connect to an FTP site maintained by your Internet Service Provider (ISP), your ISP will provide you with an FTP name or address that looks something like: ftp.ipswitch.com or 156.22.3.1.


Host type

The host type is usually the manufacturer and model of the FTP server (the physical device on which the FTP site resides). For a complete list of host types supported by WS_FTP Pro, go to the KnowledgeBase on the Ipswitch Web site (www.ipswitch.com) and search for "host type."


Internet Address (definition)

An Internet address or IP address is a unique identifier that defines a system's location on the Internet network. IP addresses are 32-bit addresses that are commonly specified in Internet dot notation, which consists of four numbers from 1 to 255 separated by dots (.), for example: 156.21.50.1

Each IP address is mapped to a unique hostname as it is easier for people to remember names than it is to remember strings of numbers. For example, the IP address 156.21.50.1 maps to the system named superserv.ipswitch.com.


L8 Transfer Mode (definition)

Used for VMS non-text file transferring.


Message Log

Below the list boxes, there is a message log that displays the protocol conversation between the WS_FTP Pro client (your PC) and the FTP site.


MTU (Maximum Transfer Unit)

The Maximum Transfer Unit (MTU) is the largest packet size that can be handled by your PC's TCP/IP stack.


Overwrite (definition)

To replace a file with another file having the same file name.


Passive Transfers (definition)

Normally, when you connect to an FTP site, the site establishes the data connection to your PC (the client). However, if the site allows passive transfers, you can have your PC establish the data connection.

We recommend that you use passive mode for most transfers. Note that passive mode may be required for users who are behind some types of router-based firewalls or behind a gateway requiring passive transfers.


Preconfigured FTP site (definition)

WS_FTP Pro comes with preconfigured sites; these are popular FTP sites that have been set up for anonymous logins.


Remote Edit uses ShellExecute (definition)

"ShellExecute" is a Windows API (Application Programming Interface) function. It causes a data file to be opened in the application that Windows associates with the file extension.

To turn the Remote Edit uses ShellExecute option on or off, select Options from the View menu and click the General tab.

  • Turn this ON if you want data files to be opened in the application that Windows associates with the file extension.

  • Turn this OFF if you want data files opened in the applications specified on the Associations tab.


Remote port (definition)

The remote port is the port on which an FTP site, is "listening" for an FTP request. The default remote port number for FTP is 21.


Site Name (definition)

This is the name of the FTP site information you are saving, and can be anything you desire (Note: You must use either letters or numbers in the name. No special characters, punctuation marks, or brackets can be used). It identifies the connection you are creating and is the name you will choose from your list of configured sites. The length of this name is limited to 78 characters. This name can (and should) be different than the Host Name/Address!


Source System (definition)

The system from which you are transferring files; this can be either the local system (your PC) if you are uploading files, or it can be the FTP site if you are downloading files to your PC.


SSL (definition)

SSL (Secure Sockets Layer) is a way to make a secure connection from the WS_FTP client to a server with SSL capabilities. When an SSL connection is established, all data passing from one side to the other will be encrypted and will only be able to be decrypted by the parties involved in the transfer of data.


Temporary Directory (definition)

The temporary directory is the folder on your PC to which WS_FTP Pro copies files you open.


Upload (definition)

Transfer a file from your local PC to an FTP site.


URL (definition)

Uniform Resource Locator. An Internet address which tells a browser where to find an Internet resource. For example, the URL for the Ipswitch Web site is http://www.ipswitch.com/.


VM/CMS Host (definition)

On a VM/CMS host, the account name is used as the initial password to the user's default folder. When you change folders on a VM/CMS host you are prompted each time for the password to connect to that folder.


Windows Registry (definition)

The registry is the part of the Microsoft Windows operating system that keeps track of which applications work with which file types.


Winsock DLL (definition)

The Winsock (Windows Sockets) dynamic link library is a specification for the Microsoft Windows API (applications programming interface). Software providers use Winsock as a guideline for developing network software.


WS_FTP Find

WS_FTP Find Utility

WS_FTP Find is a utility that can locate files or folders by name, date, and/or size.

To use the WS_FTP Find Utility, select WS_FTP Find Utility from the Tools menu.

Click here for more information on the Find Utility.


WS_FTP Scheduler

WS_FTP Scheduler Utility

WS_FTP Scheduler is a utility that perform file transfers on a pre-defined schedule or on demand.

To use the WS_FTP Scheduler Utility, select WS_FTP Scheduler Utility from the Utilities menu.

To get detailed information about the WS_FTP Scheduler Utility:

  1. Select WS_FTP Scheduler Utility from the Utilities menu.

  2. Select Help Topics from the WS_FTP Scheduler Utility's Help menu.


WS_FTP Synchronize

WS_FTP Synchronize Utility

WS_FTP Synchronize is a utility that can "mirror" files and folders between your PC and an FTP site. This is especially useful for quickly and efficiently updating your Web site by synchronizing your ISP's FTP site with your PC.

To use the WS_FTP Synchronize Utility, select WS_FTP Synchronize Utility from the Tools menu.

Click here to get detailed information about the WS_FTP Synchronize Utility.


Creating a new folder for site configurations

To create a new folder,

  1. In the Connection dialog box, select New Folder from the File menu.

  2. Enter a name for the folder and click Finish.

Note: Do not enter an underscore as the first character in the folder name; and do not use an exclamation point or brackets anywhere in the site name.


Hiding the Command Buttons

In the main window, the buttons to the right of each list provide file and folder commands for that list.

ChgDir

MkDir

File Mask

View

Exec

Rename

Delete

Refresh

DirInfo

Depending on what is selected, these commands (as well as some additional ones) are also available from the right-mouse menu.

You can show or hide these buttons:

  1. From the Tools menu, select Options.

  2. Click the Advanced tab.

  3. Select or clear the Show Command Bar option.


Logging on to an FTP site "anonymously"

To log on to any FTP site, you must identify yourself with a user ID and password. For many FTP sites, you can use the word anonymous as a User ID, and your e-mail address as your password; this is known as an "anonymous login." (All of the Ipswitch preconfigured FTP sites are set up as anonymous logins.)

FTP sites that allow anonymous logins usually exist to provide files that can be downloaded by the general public; anyone on the Internet can log onto the site anonymously and copy files to his or her PC. This is similar to logging on to a file server as a "guest."

Anonymous logins have access to a vast store of software, games, music, and numerous other resources. However, if you log in anonymously, you usually are not allowed to do more than view public folders and download files. (You are usually unable to view private folders or to upload files.)

Other FTP sites, such as those containing private information, or those that allow users to upload files, usually require you to identify yourself with special user ID, password, and (sometimes) an account number or name. Examples of FTP sites such as these are those used to exchange confidential files within an organization, post personal Web sites, or store photographs for ads in on-line auctions.


Recently Visited Sites

A record of the last few sites that you visited are stored in WS_FTP Pro. You can quickly connect to any of these sites by choosing one from the File menu under Recent Sites.

In the Connection dialog box, select the site listing directly from the File menu.


Finding files and folders

If either your PC or the FTP site contains a large number of folders and files, you can try one of these methods for locating the file you want:

  • Use the File Mask text box.

  • Select WS_FTP Find Utility from the Utilities menu.


Viewing listings of files and folders

To view site and folder icons in another way:

  1. From the Tools menu, select Options.

  2. Use the Advanced tab.


Connecting to an Internet Service Provider

Because the FTP sites of ISPs (Internet Service Providers) often contain thousands of folders/directories (one for each user), you can experience long delays and occasional timeouts when you try to connect to an ISP FTP site. This is due to the fact that it takes a long time for the FTP site to send its folder listing to WS_FTP Pro.

You can easily get around this sort of delay by entering the path and/or name of your folder (on the FTP site) into the FTP site configuration.


File names with special characters

To transfer a file with special characters in the file name, make sure nothing is selected, and then click the Upload or Download arrow. You will be prompted for a file name.


Hidden files

You can transfer a hidden file if you know its name. To transfer a hidden file, make sure nothing is selected, and then click the Upload or Download arrow. You will be prompted for the file name.


Transferring: Overview

Transferring files includes the following topics:

Transferring files or folders

Moving files

Dragging and Dropping

Appending files

Viewing a file (in its associated application)

Setting the default text viewer

Executing files

Working with transfer modes

Specifying the Startup Transfer Mode

Doing passive transfers

Setting the network timeout

FTP server timeout

Transferring hidden files


UNIX file permissions

Permissions can also be expressed as three- or four-digit values; for example, 1644.

The first digit is interpreted as follows:

  • If the first digit is 1 (known in UNIX circles as the "Sticky bit"), it sets the link permission to directories or sets the "save-text" attribute for a file.

  • If the first digit is 2, it sets the group ID on execution.

  • If the first digit is 4, it sets the user ID on execution.

The second digit expresses Owner permissions; the third, Group permissions; the fourth, Other.

Three- and four-digit values are used in the WS_FTP Pro log, in the message area, and by some system administrators and ISPs.

The table below shows how WS_FTP Pro check box options correspond to the last three digits. The third column shows the possible values for Owner, Group, and Other as viewed in the ten-position value in the first column of a directory list for a UNIX site.

Selected options in WS_FTP Pro | 2nd, 3rd, or 4th digit | Permissions in directory list
none | 0 | ---
Execute | 1 | --x
Write | 2 | -w-
Write, Execute | 3 | -wx
Read | 4 | r--
Read, Execute | 5 | r-x
Read, Write | 6 | rw-
Read, Write, Execute | 7 | rwx

In the directory list, the first position indicates whether the item is a file (-, s, S, or t) or directory (d), while positions two through ten show the permissions for Owner, Group, and Other.

If you attempt to change permissions, check the message area or the log to see if you were successful.


Address Bar

The Address bar of the WS_FTP Pro Classic interface can be used in several ways to connect to an FTP server:

  • Type the address directly into the Address bar - If you type the address alone, WS_FTP Pro will attempt to make an anonymous connection to the server (ex. ftp.ipswitch.com). If you have a username and password for the server you want to connect to, you can type the username and password in front of the site address in this format: username:password@ftp.ipswitch.com.

  • Use the Browse (...) button to select a configured site - You can select a configured site by clicking on the Browse (...) button next to the Address bar.

  • Use the listbox to select a recently visited site - When you connect to a site, a record of that connection will be stored in the listbox. You can connect to that site by selecting the entry. WS_FTP Pro will attempt to make a connection using the same options defined when the site was last visited.


Batch Mode

While in batch mode, WS_FTP Pro will place all transfers in the Transfer Manager for download. If you want to make an immediate transfer while in Batch Mode, without having it go through the Transfer Manager queue, select the file and drag it to the destination folder.

Click the Batch Mode button to toggle it on.


WS_FTP Pro: Buttons

The following buttons may appear on the main windows of the WS_FTP Pro Classic or Explorer interface depending on the options selected.

Toolbar

  • Connect - Displays the Connection Dialog box.

  • Disconnect - Disconnects from the remote site.

  • Transfer Manager - Displays the FTP Transfer Manager.

  • Batch Mode - Puts WS_FTP Pro in Batch Mode.

  • Options - Displays the Options dialog.

  • Large Icons - Changes the layout of the list pane to show file names along with large icons associated with the file type.

  • Small Icons - Changes the layout of the list pane to show file names along with small icons associated with the file type.

  • List - Changes the layout of the list pane to show an ordered list of files in a selected directory.

  • Detail - Changes the layout of the list pane to show an ordered list of files with the name, size, type, time of last modification, and attributes listed.

  • Help - Launches the WS_FTP Help system.

Explorer Interface Toolbar

  • Up One Level - Moves up one directory.

  • Disconnect - Disconnects from the remote site.

  • Cancel - Cancels the current operation.

  • Options - Displays the Options dialog.

  • Large Icons - Changes the layout of the list pane to show file names along with large icons associated with the file type.

  • Small Icons - Changes the layout of the list pane to show file names along with small icons associated with the file type.

  • List - Changes the layout of the list pane to show an ordered list of files in a selected directory.

  • Detail - Changes the layout of the list pane to show an ordered list of files with the name, size, type, time of last modification, and attributes listed.

WS_FTP Bar

  • Connect/Disconnect - Click to display the Connection dialog box or to disconnect from a connected site.

  • Cancel - Cancels the current connection.

  • Help - Displays WS_FTP Pro online help.

  • Options - Displays the program options dialog.

  • About - Displays information about the current version of WS_FTP Pro.

  • Exit - Closes WS_FTP Pro

Command Bars

  • ChgDir

  • MkDir

  • File Mask

  • View

  • Execute

  • Rename

  • Delete

  • Refresh

  • DirInfo

Transfer Arrows

Transfer Mode


WS_FTP Pro: Menu Bar

Click the following Menu Items to view their associated menu.

File

  • Connect - Displays the Connection Dialog box.

  • Cancel - Cancels any action being performed by WS_FTP.

  • Quick Connect - Displays the New Site wizard. You can connect to a site through this wizard without saving the site information.

  • Recent Sites - A list of sites you have connected to recently.

  • Operations - A list of commands you can perform in the active pane.

  • Properties - Displays properties of a selected file (not available when multiple files are selected.).

  • Exit - Closes WS_FTP.

Edit

  • Copy - Copies the selected file(s) or folder(s) to the clipboard.

  • Paste - Transfers all files and folders that has been copied to the clipboard.

  • Select All - Selects all files and folders listed in the active pane.

View

  • Toolbar - Selecting this option toggles the display of the Toolbar.

  • Address Bar - Selecting this option toggles the display of the Address Bar.

  • Command Bars - Selecting this option toggles the display of the Command Bars.

  • Log Window - Selecting this option toggles the display of the Log Window.

  • WS_FTP Bar - Selecting this option toggles the display of the WS_FTP Bar.

  • Transfer Manager - Toggles display/hide of the Transfer Manager.

  • Large Icons - Changes the layout of the list pane to show file names along with large icons associated with the file type.

  • Small Icons - Changes the layout of the list pane to show file names along with small icons associated with the file type.

  • List - Changes the layout of the list pane to show an ordered list of files in a selected directory.

  • Detail - Changes the layout of the list pane to show an ordered list of files with the name, size, type, time of last modification, and attributes listed.

Tools

  • Find - Launches the Find Utility.

  • Synchronize - Launches the Synchronize Utility.

  • Scheduler - Launches the Scheduler Utility.

  • Script - Launches the Scripting Utility.

  • Use Batch Mode - Toggles WS_FTP in and out of Batch mode.

  • Options - Displays the Options dialog box.

  • Browser Integration - Displays the Browser Integration Utility.

  • Configure SSL - Displays the SSL Utility.

Help

  • About WS_FTP - Displays the About WS_FTP dialog box.

  • Help Topics - Displays the WS_FTP Help system.


Connection Dialog Box: Firewall Tab

Firewall Tab - Connection Dialog Box

If your computer is behind a firewall host, you need to get information about your firewall from your network administrator. For more information, see Firewall types and required information for WS_FTP Pro.

  • To edit the firewall, select the firewall entry from the Configured Firewalls box and click the FireScript Editor button.

  • To delete a firewall entry, select the firewall name and select Delete from the Edit menu.

  • To create a new FTP site (or a new site folder), select New Firewall from the File menu (or click the New Firewall icon on the toolbar).

Related Topics

Configuring a firewall

Editing a firewall script


Connection Dialog Box: Host Info Tab

The FTP sites you have configured are listed on the Host Info tab of the "Connection" dialog box, along with some pre-configured sites that come with WS_FTP Pro.

  • To connect to an FTP site, double-click the site in the Configured Sites list. Or, select a site, enter your password, and click Connect.

  • To edit the host information, select the site and change the information on the right side of the dialog box.

  • To edit advanced site properties, select the site and click the Advanced Properties button.

  • To delete a site, select the site and select Delete from the Edit menu.

  • To rename a site, select the site and select Rename from the Edit menu. Note: Do not enter an underscore as the first character in the site name; and do not use an exclamation point or brackets [] anywhere in the site name.

  • To create a new FTP site (or a new site folder), select New Site (or New Folder) from the File menu. Note: Do not enter an underscore as the first character in a site or folder name; and do not use an exclamation point or brackets [] anywhere in a site or folder name.

  • To connect to an FTP site just once (without configuring and saving site properties for future connections), select Quick Connect from the File menu.

Related Topics

Connection Dialog

Editing host information

Firewall Tab


Explorer Firewall Wizard

Firewall Wizard

The firewall wizard walks you through setting up a firewall.

The following are the fields you should fill out during this process.

  • Create a Firewall Named - This will be the identifying name for your firewall.

  • Host Name or IP Address

  • User ID - Enter the firewall User ID or leave blank if not used.

  • Password - Enter a Password. We do not recommend turning on Save Password unless you are the only user of your computer.

  • Firewall Type - Select the firewall type.

  • Firewall Port - Enter a port number.

Related Topic

FireScript Editor


Local System (definition)

The local system is simply your current local director you are using.


Local System Pane

The Local System pane displays the contents of the current directory on your PC. It is the area in which you manage your local files (rename, delete, view, copy, move, etc.).

You can organize this list by clicking on the Name, Size, Type, Modified, and Attribute buttons. At the bottom of the file list is a listing of all of the network and device drives on your PC, allowing you to manage all of your files through WS_FTP Pro.

You can change the current local directory by:

  • Clicking the Up arrow - Moves you up one directory/folder level.

  • Clicking the ChDir button (change directory) - Allows you to enter the directory you want to change to.

  • Selecting a recent folder from the list box

  • Clicking the Browse (...) button

To the left of the Local System pane are the WS_FTP Connection buttons.


Login Information

If you do not enter a UserID and Password before you attempt a connection, the Login Information dialog appears.

Enter the correct User ID and Password and click OK to connect.


Quick Connect Wizard

Quick Connect allows you to connect to a site without creating a site profile.

Enter a Host name or IP address.

Click Next to add more information, or click Finish to connect to the site.


Remote System (definition)

The remote system is the FTP server you are connecting to.


Remote System Pane

The Remote System pane displays the contents of the current directory on the FTP server you are connected to. It is the area in which you manage remote files (rename, delete, view, copy, move, etc.).

You can organize this list by clicking on the Name, Size, Type, Modified, and Attribute buttons.

You can change the current local directory by:

  • Clicking the Up arrow

  • Clicking the ChDir button

  • Selecting a recent folder from the list box

  • Clicking the Browse (...) button

To the left of the Remote System pane are the WS_FTP Connection buttons.


Explorer Interface Buttons

Explorer Interface Toolbar

  • Up One Level - Moves up one directory.

  • Disconnect - Disconnects from the remote site.

  • Cancel - Cancels the current operation.

  • Options - Displays the Options dialog.

  • Large Icons - Changes the layout of the list pane to show file names along with large icons associated with the file type.

  • Small Icons - Changes the layout of the list pane to show file names along with small icons associated with the file type.

  • List - Changes the layout of the list pane to show an ordered list of files in a selected directory.

  • Detail - Changes the layout of the list pane to show an ordered list of files with the name, size, type, time of last modification, and attributes listed.


Explorer Interface Menu Bar

Click the following Menu Items to view their associated menu.

File

  • Open - Displays the selected directory site in a new window. This window does not have a left pane.

  • Explore - Expands the directory structure of the connected site in both the right and left pane.

  • New - Allows you to create a new site or folder on the Configured Sites directory tree.

  • Properties - Displays properties of a selected file (not available when multiple files are selected.)

  • Change Directory

  • Make Directory

  • View

  • Edit

  • Append

  • Execute

  • Rename

  • Delete

  • Refresh

  • Directory Info

  • Send to Scheduler

  • Disconnect - Ends the current connection.

  • Cancel - Cancels an action or transfer.

  • Exit - Closes WS_FTP.

Edit

  • Copy - Copies the selected file(s) or folder(s) to the clipboard.

  • Paste - Transfers all files and folders that has been copied to the clipboard.

  • Select All - Selects all files and folders listed in the active pane.

View

  • Toolbar - Selecting this option toggles the display of the Toolbar.

  • Status Bar - Selecting this option toggles the display of the Status Bar.

  • Log Window - Selecting this option toggles the display of the Log Window.

  • Large Icons - Changes the layout of the list pane to show file names along with large icons associated with the file type.

  • Small Icons - Changes the layout of the list pane to show file names along with small icons associated with the file type.

  • List - Changes the layout of the list pane to show an ordered list of files in a selected directory.

  • Detail - Changes the layout of the list pane to show an ordered list of files with the name, size, type, time of last modification, and attributes listed.

  • Transfer Manager - Toggles display/hide of the Transfer Manager .

  • Arrange Icons - Allows you to select how files are displayed in the right pane of the Explorer Interface.

  • Refresh - Refreshes the current directory.

Tools

  • Find - Launches the Find Utility.

  • Synchronize - Launches the Synchronize Utility.

  • Scheduler - Launches the Scheduler Utility.

  • Script - Launches the Scripting Utility.

  • Options - Displays the Options dialog box.

  • Browser Integration - Displays the Browser Integration Utility.

  • Configure SSL - Displays the SSL Utility.

Help

  • Help Topics - Displays the WS_FTP Help system.

  • About WS_FTP - Displays the About WS_FTP dialog box.


Explorer Interface of WS_FTP

The Explorer Interface looks and acts very much like Windows Explorer. It has most of the functionality of the Classic Interface, but a different look and feel.


Explorer Interface Right Mouse Menu

While in the Explorer Interface main window, you can bring up a menu by pressing the right-mouse button when the cursor is in the file listing. The commands on this menu are the following (Some items will not be available depending on what item is selected in the list.)

  • Open - Displays the selected directory site in a new window. This window does not have a left pane.

  • Explore - Expands the directory structure of the connected site in both the right and left pane.

  • Copy - Copies a file or folder to be 'pasted' to another site.

  • Paste - Uploads or downloads a file or folder that has been copied.

  • Select All - Selects all files and folders in the current directory.

View Options

  • Large Icons - Changes the layout of the list pane to show file names along with large icons associated with the file type.

  • Small Icons - Changes the layout of the list pane to show file names along with small icons associated with the file type.

  • List - Changes the layout of the list pane to show an ordered list of files in a selected directory.

  • Detail - Changes the layout of the list pane to show an ordered list of files with the name, size, type, time of last modification, and attributes listed.

Site Commands

  • Change Directory

  • Make Directory

  • View

  • Edit

  • Append

  • Execute

  • Rename

  • Delete

  • Refresh

  • Directory Info

  • Send to Scheduler

FTP Commands

The following are items found on the right-mouse menu that appears when you right-mouse click in the left pane of the Explorer Interface.

  • Open - Displays the selected remote site in a new window. This window does not have a left pane.

  • Explore - Expands the directory structure of the connected site in both the right and left pane.

  • Disconnect - Disconnects from a site.

  • Copy - Copies text to be 'pasted' to another box.

  • Paste - Places cut or copied text from your clipboard into the selected box.

  • Delete - Clears all text from the box.

  • Rename - Allows you to rename a site folder or site profile.

  • Properties - Displays the properties of the selected site folder or site profile.

The following are items found on the right-mouse menu that appears when you right-mouse click in the Log Window.

  • Save As - Select this option to save your log file. The Save As dialog appears.

  • Clear - Completely deletes all text in your Log Window.

  • Print - Opens your default text editor and prints the log file to your default printer.

  • Copy - Copies the selected log text to your clipboard. You can paste this text in any text editor.

  • Select All - Selects all of the text in your Log Window.


Browse Button

Browse

Once you connect to a site, you can then use the Browse button to locate and choose a folder to search. The folders are displayed starting at the folder shown in the Look in box.


Browse Dialog

Browse Dialog Box

If you’re not currently connected to a site, the Browse dialog box shows you a list of all the FTP sites you have configured in WS_FTP Pro. Select the site and folder you want to search.

If you are connected to a site, the Browse dialog box shows you the contents of the site, starting at the folder shown in the Look in box. Select the folder you want to search.


Cancel Button

Press the Cancel button to cancel a search that is in progress.


Clear Button

Press the Clear button to clear the results pane.


Clearing Search Criteria

To clear the search criteria, click New Search.


Find Now

Click here once you have connected to a site and entered your search criteria on one or more tabs.


FTP Sites

An FTP site consists of an FTP server program located on an Internet host computer.

Many companies and organizations maintain FTP sites (also known as “FTP servers”). These can be

  • File repositories from which you can copy files such as free programs and evaluation versions of software. WS_FTP Pro provides a number of popular FTP sites that have already been configured for you. When you connect to an FTP site like this, look for a file called readme, readme.txt, index, or 00index. Such files provide descriptions of the resources available on the site as well as other useful information.

File repositories where you can place files for use by others. (For example, a site on which you place your Web site pages for your ISP, or a site on which you place a photograph file for use in an online auction.)


ASCII (transfer mode)

(Startup) Transfer Mode: ASCII

Used for text file transferring. (The end-of-line character is different on different types of computers; using ASCII mode ensures that the end-of-line character is translated properly.)

  • Note: If you know that the FTP site you are transferring to or from is running the same operating system as your local system, you can always use binary mode and never use ASCII.


Auto Detect (transfer mode)

(Startup) Transfer Mode: Automatic Detect

When selected, all files are transferred in binary mode unless the extension is listed on the Extensions tab of the program options/properties. Extensions can be up to ten characters long and can contain periods.

  • Note: These are not DOS extensions! Rather, they are the ending characters of a filename. If you expect it to match on a period, you must put the period in. Some samples are shown below.

.LST

.TXT

.ME

README


Binary (transfer mode)

(Startup) Transfer Mode: Binary

Binary mode is used for transferring files that are not text (ASCII files). Executable programs, word processing documents, spreadsheets, databases, graphics files, and sound files are some examples of files that must be transferred in binary mode.

If you know that the FTP site you are transferring to or from uses the same operating system as your local system, you can always use binary mode and never use ASCII.


Include Subfolders

To search all subfolders of the Look in location, select Include Subfolders.

If you want to search only the folder indicated in the Look in box, clear the Include Subfolders check box.


Look in Field

Look in:

The Look in list box contains a history of sites you have searched. You can connect to one of these sites by selecting it from this list.

Entering the path. In the same place you enter the site name (or URL), you can also enter the path you want to search. You can type it, appended it to the site name.

For example, the Look in box might show ftp://Ipswitch/pub/beta, where Ipswitch is the name of the FTP site, and /pub/beta is the path you want to search. In other words, you want to search only in a folder named beta, which is located inside a folder named pub on the Ipswitch FTP site.


Named field

Named

If you know all or part of the name of the file (or folder) you want to find, enter all or part of the name in the Named box. If you leave the Named box blank, the search will find all files in the Look in location.


Secure Connection (SSL)

When this option is selected, WS_FTP Find Utility will attempt to make an SSL connection with the server you selected.

For more information on the SSL Utility, go to SSL Utility online help.


Session Tab

Host Name/Address. This is either a fully qualified Internet host name or an IP address.

Host Type. If you know the host type, select it from the drop down list. If you don't know, try "auto detect."

User ID. If you have an account on the FTP site, enter the User ID you use to access the site. (Or, you can click the Anonymous check box to automatically enter anonymous as the user.)

Anonymous check box. Selecting this box will automatically enter anonymous as your User ID and enter your e-mail address as the Password.

Password. If you have an account on the FTP site, enter the appropriate password for the User ID that you entered. If this is an anonymous login, enter your full e-mail address. (You can place a minus (-) sign in front of the e-mail address to reduce the number of site administrator messages you receive.)

  • Note: Instead of entering your password for anonymous logins, it is recommended that you simply click the Anonymous check box.

Account. If you have an account, enter the account name here. (In most cases, you will leave this blank because most FTP sites do not use accounts. The account name is used on VM/CMS hosts for the initial password to the user's default folder. When you change folders on a VM/CMS host you are prompted each time for the password to connect to that folder.)


Starting the Search

Once you’ve entered your search criteria on one or more tabs, click Find Now.


User ID and Password

Entering User ID and Password

When you select a site name and click OK, you are connected to the FTP site by means of the User ID and Password stored with the configured site in WS_FTP Pro. If the user name or password is blank in WS_FTP Pro, you are prompted for the correct information.


WS_FTP Pro Advanced Tab

Contains the following site properties: Connection Retry, Network Timeout, Remote Port, and the Passive Transfers check box.


WS_FTP Pro Firewall Tab

Contains the following Firewall properties: Host Name, User ID, Password, Port, and Firewall Type.


WS_FTP Pro General Tab

Contains the following site properties: Profile Name, Host Name/Address, Host Type, User ID, Password, and Account.


WS_FTP Pro Startup Tab

Contains the following site properties: Initial Remote Host Directory, Initial Local Directory, Initialize Command, Local file mask, Remote file mask, and Time offset in hours.


Schedule Properties

The Schedule Properties dialog is where you set up tasks that are to be run by the Scheduler Utility. Once the following information is entered, click OK to add the item to the Scheduler queue.

  • Start Date - Enter the date the task is to be run.

  • Start Time - Enter the exact time of day the task is to be run.

  • End Date - Enter the last day the task is to be run.

  • Source Host/Profile - Select or create a site profile to be the source of the upload/download. If your local system is the source, leave this box empty.

  • Destination Host/Profile - If your local system is not the destination of the upload/download, select or create a site profile to be the destination.

  • Destination Path/File - Select a path to the destination directory for the upload/download.

  • Transfer - Select the transfer type.

  • Task Name - This is the identifying name for the scheduled task.

  • Comment - Enter any comments about the task you want saved with the item.

  • User Login (NT) - If required, enter your Windows NT user login.

  • Password - If required, enter your Windows NT password.

  • Replace scheduled item if exists - If selected, will replace a currently scheduled item with the same parameters.

  • Schedule Frequency - Select how often you want the item to be run.


Schedule Properties Multiple Files

The Schedule Properties dialog is where you set up tasks that are to be run by the Scheduler Utility. Once the following information is entered, click OK to add the item to the Scheduler queue.

  • Start Date - Enter the date the task is to be run.

  • Start Time - Enter the exact time of day the task is to be run.

  • End Date - Enter the last day the task is to be run.

  • Executable - This box displays the path to the application set up to do the transfer. This box is filled in automatically.

  • Command - Command line variables used in the transfer. This box is filled in automatically.

  • Task Name - This is the identifying name for the scheduled task.

  • User Login (NT) - If required, enter your Windows NT user login.

  • Password - If required, enter your Windows NT password.

  • Replace scheduled item if exists - If selected, will replace a currently scheduled item with the same parameters.

  • Schedule Frequency - Select how often you want the item to be run.


Send to Scheduler (Definition)

When a file, folder, or group of files is selected and this option is used, the Schedule Properties dialog appears. Use this dialog to schedule when you want to download/upload the selected files or folders.

Related Topic

WS_FTP Scheduler Utility


Add/Insert Command

Add/Insert/Modify Command

Enter or edit a script command and the appropriate arguments (if any).


CD

Syntax: cd dirname

What it does: Changes the current folder on the current FTP site to dirname where dirname is the name of a folder on the site.

Note: This command can be executed only if a connection to an FTP site has been established.


CLOSE

Syntax: CLOSE

What it does: Closes the current FTP connection.


Configured FTP Site

A configured FTP site is an FTP site about which you have saved some information in WS_FTP Pro. The site configuration tells WS_FTP Pro how you want to connect to the site and what you want to see when you get there.

A site configuration usually includes site name, host name/IP address, host type, user ID, password, account. However, it can also include startup folders, initialize commands, file masks, time offset, firewall information, and network settings.


Connect

When you "connect" to an FTP site, WS_FTP Pro sends messages to the FTP site and -- if the connection is successful -- receives messages back from the site. These messages use the Internet's File Transfer Protocol.


DEL

Syntax: DEL filename

What it does: Deletes a single file named filename from the current FTP site.

Notes:

  • This command can be executed only if a connection to an FTP site has been established.

  • Use MDELETE to delete multiple files. Use RDEL if you need to delete folders with subfolders.


DIR

Syntax: DIR filemask

What it does: Issues a LIST command to the current FTP site using filemask and displays the output to the screen.

Note: This command can be executed only if a connection to an FTP site has been established.


FIREPASS

Syntax: FIREPASS (password or %env_var_name)

What it does: Sets the firewall password to the value in password.

Note: This command must precede the CONNECT command.


FIREUSER

Syntax: FIREUSER (userid or %env_var_name)

What it does: Sets the firewall user ID to userid.

Note: This command must precede the CONNECT command.


GET

Syntax: GET (sourcefile) [destloc] [modeswitch]

What it does: Downloads sourcefile from an FTP site, where:

  • Sourcefile is the name of the source file on the FTP site. Wildcards are not allowed in the source file specification.

  • Destloc is the name of the downloaded file or folder to be placed on the local system. If destloc is not specified, the name of the source file will be used on the local system.

  • The transfer mode is indicated in the modeswitch (0 = ASCII, 1 = BINARY).

Notes:

  • This command is executed only if a connection to an FTP site has been established.

  • Use MGET to retrieve multiple files. Use RGET to retrieve folders with subfolders.


GOTO

Syntax: GOTO labelname

What it does: Jumps to labelname and continues processing the script from that point.

Note: LABEL labelname may be before or after the GOTO statement


LABEL

Syntax: LABEL labelname

What it does: Establishes a labeled point in the script for use with GOTO commands, where labelname can be any combination of numbers and letters.


LCD

Syntax: LCD dirname

What it does: Changes the current folder on the local system to dirname.

Note: This command is not dependent on a connection.


LOG

Syntax: LOG (Screen or filename or Off)

What it does: Sends the log of FTP events to the specified location.

  • Screen - Sends output to the screen

  • filename - Sends output to a file. If a file named filename does not exist, it is created; otherwise, it is opened for appending and logging output is written to this file. (If LOG is later redirected to the screen or turned off, the file is closed and no more information is written to it.)

  • Off - Turns off output of LOG information.

Note: This command is most effective when used at the very beginning of a new script; it provides information that is extremely useful in getting a script up and running.


MDELETE

Syntax: MDELETE filenames or folders

What it does: Deletes filenames or folders from the current FTP site. The names of the files on the FTP site to retrieve are specified in filenames. Wild cards of * or ? are acceptable.

Note:

  • This command is executed only if a connection to an FTP site has been established.


MGET

Syntax: MGET (sourcefile or folders) [destloc] [modeswitch]

What it does: Retrieves source files from an FTP site, where

  • Sourcefile is the name(s) of file(s) downloaded to the local system. Wildcards of ‘*’ or ‘?’ are acceptable in the source file specification. If folder is specified, all files in the folder (not including subfolders) will be downloaded to the local system.

  • Destloc is the folder for the downloaded files on the local system. If destloc is not specified, the current folder on the local system is used as the destination.

  • The transfer mode is indicated in the modeswitch (0 = ASCII, 1 = BINARY).

Notes:

  • This command is executed only if a connection to an FTP site has been established.

  • Use GET to retrieve a single file. Use RGET to retrieve folders with subfolders.


MKDIR

Syntax: MKDIR dirname

What it does: Creates a folder of dirname on the current FTP site.

Note: This command is executed only if a connection to an FTP site has been established.


MPUT

Syntax: MPUT (sourcefile or folders) [destloc] [modeswitch]

What it does: Uploads source files to an FTP site, where:

  • Sourcefile is the name(s) of file(s) uploaded to the FTP site. Wildcards of ‘*’ or ‘?’ are acceptable in the source file specification. If folder is specified, all files in the folder (not including subfolders) will be uploaded to the FTP site.

  • Destloc is the folder for the uploaded file(s) on the FTP site. If destloc is not specified, the current folder on the FTP site is used as the destination.

  • The transfer mode is indicated in the modeswitch (0 = ASCII, 1 = BINARY).

Note:

  • This command is executed only if a connection to an FTP site has been established.

  • MPUT doesn’t transfer subfolders; to transfer subfolders, use RPUT.


ONERROR

Syntax: ONERROR [GOTO labelname or SHELL commandline or EXIT or CONTINUE] This must come before the command you wish to monitor.

What it does: If an error is encountered, from this point on perform the specified action. The possible actions are:

  • GOTO labelname - Jump to labelname and continue processing from that point.

  • SHELL commandline - Open an MS-DOS shell, and execute commandline on the local system.

  • CONTINUE - Continue processing the script.

  • EXIT - Terminates any further execution of the script. However, any connection with an FTP site is not disconnected unless the script is terminated or a CLOSE command is executed.

Note: If no action is specified, the script continues processing.

The CONTINUE and EXIT commands can be used only within an ONERROR or ONSUCCESS command.


ONSUCCESS

Syntax: ONSUCCESS [GOTO labelname or SHELL commandline or EXIT or CONTINUE] This must come before the command you wish to monitor.

What it does: For any successful completion of a command from this point on perform the specified action. Possible actions are:

  • GOTO labelname - Jump to labelname and continue processing from that point.

  • SHELL commandline - SHELL out and execute commandline on the local system.

  • CONTINUE - Continue processing the script.

  • EXIT - Terminates any further execution of the script. However, any connection with an FTP site is not disconnected unless the script is terminated or a CLOSE command is executed.

Note: If no action is specified, the script continues processing.


PASS

Syntax: PASS (password )

What it does: Sets the password to the value in password.

Note: This command must precede the CONNECT command.


PUT

Syntax: PUT (sourcefile) [destloc] [modeswitch]

What it does: Uploads sourcefile to an FTP site, where:

  • Sourcefile is the name of the file uploaded to the FTP site. Wild cards are not allowed in the source file specification.

  • Destloc is the name of the uploaded file on the FTP site. If destloc is not specified, the name of the source file will be used on the FTP site.

  • The transfer mode is indicated in modeswitch (0=ASCII, 1=binary).

Note:

  • This command is executed only if a connection to an FTP site has been established.

  • Use MPUT to upload multiple files. Use RPUT to upload folders with subfolders.


RDEL

Syntax: RDEL filename

What it does: Deletes filenames or folders (with subfolders) from the current FTP site.

Note: This command is executed only if a connection to an FTP site has been established.


RGET

Syntax: RGET (sourcefile or folders) [destloc] [modeswitch]

What it does: Retrieves folders (with subfolders) from the current FTP site, where:

  • the name of the folder is specified by folders. Wild cards of * or ? are acceptable in the folder specification.

  • the name to use for the transferred file on the local system is specified by destloc. If the last character in the destloc is a '/', the destloc is assumed to be a folder and the sourcefile is placed in that folder. If destloc is not specified, the current folder on the FTP site is used as the destination.

  • the transfer mode is modeswitch (0=ASCII, 1=binary). If no transfer mode is specified, ASCII mode is used.

Note:

  • Empty folder will not be downloaded.

  • The command is executed only if a connection to an FTP site has been established.

  • Use GET to download a single file. Use MGET to download multiple files.


RMDIR

Syntax: RMDIR dirname

What it does: Removes a folder of dirname from the current FTP site.

Note: This command is executed only if a connection to an FTP site has been established.


RNFR

Syntax: RNFR filename

What it does: Specifies a file or folder to be renamed on the current FTP site.

Notes:

  • This command is executed only if a connection to an FTP site has been established.

  • This command must be followed by a RNTO command.


RNTO

Syntax: RNTO filename

What it does: Specifies a new name for a file or folder on the FTP site; the file or folder must be previously identified with a RNFR command.

Notes:

  • This command is executed only if a connection to an FTP site has been established.


RPUT

Syntax: RPUT (sourcefile or folders) [destloc] [modeswitch]

What it does: Upload folders (with subfolders) to an FTP site, where:

  • sourcefile is the name of the file to send to the FTP site. Wild cards of * or ? are acceptable in the source file specification.

  • destloc is the name for the transferred file on the FTP site. If the last character in destloc is a '/', destloc is assumed to be a folder and sourcefile is placed in that folder. If destloc is not specified, the current folder on the FTP site is used as the destination.

  • the transfer mode is modeswitch (0=ASCII, 1=binary). If no transfer mode is specified, ASCII mode is used.

Note:

  • This command is executed only if a connection to an FTP site has been established.

  • Use PUT to upload a single file. Use MPUT to upload multiple files or multiple empty folders.

  • Empty folders will not be uploaded.


Script Flow Control

There are four commands you can use to control the flow of your script. (For a simple list of commands, click here.)

  • Check for an error (ONERROR)

  • Check for successful completion of a command (ONSUCCESS)

  • Establish a labeled point in the script for use with goto commands (LABEL)

  • Go to a labeled point in the script (GOTO)


SHELL

Syntax: SHELL commandline

What it does: Opens an MS-DOS window to execute commandline.

Note: This command is executed only if a connection to an FTP site has been established.


SSL

Syntax: SSL (1, 2, or 3)

What it does: Attempts to make a secure (SSL) connection with the host.

Before the SSL command can be used, the remote server certificate must be added to the Trusted Authority database. If this is not done, SSL 1 will never work.

SSL 1: If the SSL connection fails, the script will end.

SSL 2: If the SSL connection fails, and the remote server has SSL configured, the user is asked if the remote certificate should be added to the Trusted Authority database. If the remote server is not SSL enabled, the user is asked if an unsecured connection should be made.

SSL 3: If the SSL connection fails, an unsecured connection will be made automatically.

Note: This command must be used after the USER and PASS command and before the CONNECT command.


System syntax

Specifying the FTP Site or Local System

If you use the –s (determines the source) or –d (determines the destination) parameters when you execute a script from the MS-DOS prompt, indicate the system (an FTP site or the local system) the script is executed on using the following format:

//hostname/path_filename or hostname:/path_filename

where hostname is the host name or IP address of either the FTP site or the local system and path_filename is the complete path you want to use.


TRACE

Syntax: TRACE (Screen or filename or Off)

What it does: Sends detailed information on the command to the specified location.

  • Screen - Sends output to the "Trace" window.

  • filename - Sends output to a file. If a file of filename does not exist, it is created; otherwise, it is opened for appending and tracing output is written to this file. (If TRACE is later redirected to the screen or turned off, the file is closed and no more information is written to it).

  • Off - Turns off output of TRACE information.

Note: This command is most effective when used at the very beginning of a new script; it provides information that is extremely useful in getting a script up and running.


USER

Syntax: USER (userid )

What it does: Sets the user ID to userid.

Note: This command must precede the CONNECT command.


Browse/Connect FTP

Browse/Connect FTP Site

If you’re not currently connected to a site, the Browse dialog box shows you a list of all the FTP sites you have configured in WS_FTP Pro. Select the site and folder you want to search.

If you are connected to a site, the Browse dialog box shows you the contents of the site. Select the folder you want to search.


Command Line Arguments

WS_FTP Synchronize can be called directly from the command line by passing the name of one or more control files . To separate multiple control files, use commas.

ftpsync updateftp1.ctl, updateftp2.ctl, updateftp3.ctl

When you run this command, output is logged to a file with the name of the control file plus an extension of ".log".

Output from command runs also goes to stdout, so you can redirect output to a file of your choice or to a program of your choice. Note that "ftpsync.exe" normally runs in the background with no output unless stdout has been redirected. If you must wait for "ftpsync.exe" to complete processing before the next command should execute, you must redirect output.


Control file

A control file contains the FTP site information (hostname, IP address, User ID, and password) needed to connect to the FTP site that contains the remote folder. The control file also contains the synchronize settings that you want to use, such as the name of the local and remote folders to be synchronized, direction in which synchronization occurs, time difference between local and remote systems, and any options.

You can create and save control files for updates that you will do on a regular basis. Entering the name of an existing control file automatically sets all the options to match the contents of the control file. Control files will be saved with the .ctl extension.


Control File Wizard

This wizard walks you through creating a new control file.

  • Site Name

  • Local Folder

  • Remote Folder

  • Synchronize Direction

  • Options

  • Summary


Control File Name

Enter the desired name for the control file (or press the browse button [...] to select an existing control file). Entering the name of an existing control file will automatically set all the options to match the contents of the control file.

If you desire to save the control file as a different name, you can use the File->SaveAs menu option or you can change the control file name and press [SAVE].

Pressing the [SAVE] button will save the settings to the control file specified in the Control File Name or will prompt you for a file name if the field is blank.

For more information on control files, see Control Files.


Control Files

Control files should be created with the internal wizard (available by running ftpsync with no command line args) and contain the following line types: (all line types are identified by a single character at the beginning of the line)

V version (currently only V1 is supported)

F flags (add these together to get value)

1 Allow deletion of files/dirs

2 Only update existing files

4 Don't recurse (one level)

16 Force update

T type of action

0 local to remote

1 remote to local

2 by directional

Z hours difference between local and remote

S WS_FTP Site (must come from ./ws_ftp.ini) or an IP address/host name

L full local (on local system) directory path

R full remote (on ftp server) directory path

U userid for IP address/host name (only present if you are not using a WS_FTP Site)

P password (plain text), [note that ftpsync will NEVER write this into a control file] (you must manually add this if you want to run the script unattended and the password is not saved in the WS_FTP.INI file)

Sample:

 V1

 F1

 Z4

 T1

 Swks005-junodj

 LC:\test\newtest

 R/users/junodj/newtest


Exclude

You can enter a file name, file extension, or search string in the Exclude box to have WS_FTP Synch ignore any files that match the string. Wildcards (* and ?) can be used for unknown file names or several files of a similar name or type.

Here are a few examples of exclusions, followd by an explaination of each.

/mydir/*.exe

An absolute file exclusion. This will exclude all .exe files in the mydir directory, but the path is taken from the root of the file system.

mydir\

A relative directory exclusion. This will exclude any directory named mydir anywhere in the file system.

\m?dir\

An absolute directory exclusion. This will exclude all directories that match the mask m?dir, but the path is taken from the root of the file system. The ? is a substitute for any single character.

m*ir\

A relative directory exclusion. This will exclude any directory that matches the mask m*ir from anywhere in the file system. The * means that the name can have any number and value of character in between the "m" and the "ir."

/mydir/nextdir/myfil?.*

An absolute file exclusion. This will exclude any file beginning with myfil with one arbitrary character and any extension in the directory /mydir/nextdir.

mydir\*.exe

A relative file exclusion. This will exclude any .exe files in any directory named mydir anywhere in the file system.


FTP sites

An FTP site consists of an FTP server program located on an Internet host computer.

Many companies and organizations maintain FTP sites (also known as “FTP servers”). These can be

  • File repositories from which you can copy files such as free programs and evaluation versions of software. WS_FTP Pro provides a number of popular FTP sites that have already been configured for you. When you connect to an FTP site like this, look for a file called readme, readme.txt, index, or 00index. Such files provide descriptions of the resources available on the site as well as other useful information.

File repositories where you can place files for use by others. (For example, a site on which you place your Web site pages for your ISP, or a site on which you place a photograph file for use in an online auction.)


Index

WS_FTP Synchronize Utility for Windows 95/NT (x86 version)

Ipswitch, Inc.

http://www.ipswitch.com

Program Information

Description

Installation

For More Information

Command Line Arguments

Control Files

Additional Notes

Screens

Introduction Screen

Main Screen

Status Screen

Creating New Control Files

Site Name

Local Folder

Remote Folder

Synchronize Direction

Options

Summary

How to

Start the WS_FTP Synchronize Utility

Create a control file

Update the remote folder with files in the local folder

Update the local folder with files in the remote folder

Make the local and remote folders match


About

About Box

Displays the version number, copyright messages and maker of the program.


Introduction Screen

Introduction

The WS_FTP Synchronize Utility lets you synchronize (or mirror) directory structures between your system and a remote FTP server with minimal intervention. This means it can easily erase or overwrite large number of files without prompting you.

To verify that this program will do what you want, please run any new control files in “test mode” before running it for real. You can then viewea the contents of the status window to verify that it will do what you expect.

You should look for lines like:

# deleting filea.ext

# sending fileb.ext 19960217/00:00 (19950217/00:00)

# receiving filec.ext 19960217/00:00 (19950217/00:00)

(See Status Screen for a full explanation of these lines.)


New Site Name

Site Name

Select an existing WS_FTP site by clicking the Browse (...) button or enter the address of the site. If you select an existing site, the User ID (and password, if saved) are automatically displayed. If you are entering an IP address or name of an FTP host that does not exist in the ws_ftp.ini file, you need to enter the User ID and Password.


New Local Folder

Local Folder

Enter the desired local folder (or click the browse button [...] and select the local folder). If you enter the folder manually, you must enter the complete path.


New Remote Folder

Remote Folder

Enter the path for the desired remote folder (or click the browse button [...] and select the remote folder). If you are not connected to the internet, you cannot complete this step. Selecting a remote folder requires you to connect and log on to the FTP site you selected. FTP Synch makes this connection automatically.


New Sync Direction

Synchronize Direction

Select the desired synchronize direction.

Local -> Remote

Make the remote (on an FTP server) directory structure mirror the local (on your system) directory structure.

Local <- Remote

Make the local (on your system) directory structure mirror the remote (on an FTP server) directory structure.

Local <-> Remote

Make each mirror the other by copying the newest version of local files to the remote system and by copying the newest of version of remote files to the local system.


New Options

Options

Select the desired options:

  • Delete files/folders not in source - Delete files and folders on the target system if they are not on the source system.

  • Only update existing files/folders - Only update files that already exist on the target system ignoring any files/folders that exist on the source system that do not exist on the remote system

  • Top level directory only - Only synchronizes the files in the top-level directory of the site.

  • Force update of destination - Forces an update by updating files regardless of date, time or size making the target system match the source system. This is useful on the first update.

  • Add only files/folders not in destination - Only those folders that do not exist in the destination (be it the local system or remote) will be added or created. If this option is selected, files that exist on the destination system at the time the task is run, will not be updated. The Delete files/folders not in source and Only update existing files/folders options are ‘grayed out’ if this option is selected.

  • Secure Connection (SSL) - Attepts to make a secure SSL connection to the server during synchronization. For this to succeed your SSL Configuration must be made prior to running WS_FTP Synchronize.

  • Allow Clear Connection if SSL Fails - If you can not make an SSL connection, a connection will still be made. If this option is not selected and the Secure Connection (SSL) option is selected, Synchronization will not go through if you can not make an SSL connection.

  • Time difference - In all modes except forcing an update, it is important that the time offset be set properly. Normally this time offset will be time zone difference for the local system from GMT if the FTP server reports dates and times in GMT. Otherwise, you must determine the time difference using a utility like WS_FTP Pro classic. (I'm using -4 for most systems since I am located in the Eastern US time zone and we have daylight savings time in affect.) Note that this option is ignored if the remote system is a WS_FTP Server as it will always communicate using GMT.


New Summary

Summary

Review the settings and press [FINISH] to complete or press [BACK] to go back and change some of the settings.


Status Screen

Status Window

Shows a summary of what is happening with the program and allows you to Cancel the action. The Cancel button changes to Close when complete.

connected to 1.1.1.1

remote directory is /users/test01

local directory C:\test

Retrieving remote directory information

Synchronizing local->remote

remote directory is /users/test01/test1

# same readme.txt 19980112/01:10 (19980112/01:10)

# sending fileb.ext 19980224/11:03 (19971227/01:15)

completed

# receiving filec.ext 19980217/00:00 (19970217/00:00)


More Information

For More Information

Visit us online at http://www.ipswitch.com


Schedule

Click the Schedule button to create an entry in the scheduler utility. This will allow you to set a date and time to run the synch job.


SSL Configuration

If you do not have SSL Configured through WS_FTP Pro, you can configure it here.

From the File menu, select SSL Configuration. The SSL Configuration dialog appears.

Related Topic

SSL Configuration


Firewall

If you are connecting to a configured site that does not have a Firewall stored, and you need to use a firewall, select the firewall from the list-box.


Password

If you are connecting to a configured site that does not have a password stored, enter the password in this box. If you are attempting an anonymous connection, enter your email address.


User ID

If you are connecting to a configured site that does not have a User ID stored, enter the User ID in this box. If you are attempting an anonymous connection, enter the word anonymous.


Delays under Windows 3.x

If you find that uploading any file over 25K often takes more than 30 minutes, after which WS_FTP Pro "times out" and disconnects from the site, try the following:

Adding the following to your SYSTEM.INI file (for WIN3.x):

[VNTSPSD]

MaxFramesSize=1000